/[bison]/bison/configure
ViewVC logotype

Diff of /bison/configure

Parent Directory Parent Directory | Revision Log Revision Log | View Patch Patch

revision 1.7.2.55 by akim, Wed Mar 20 08:30:38 2002 UTC revision 1.7.2.56 by akim, Wed Mar 20 08:43:10 2002 UTC
# Line 850  Optional Packages: Line 850  Optional Packages:
850    --without-PACKAGE       do not use PACKAGE (same as --with-PACKAGE=no)    --without-PACKAGE       do not use PACKAGE (same as --with-PACKAGE=no)
851    --with-dmalloc          use dmalloc, as in    --with-dmalloc          use dmalloc, as in
852                            http://www.dmalloc.com/dmalloc.tar.gz                            http://www.dmalloc.com/dmalloc.tar.gz
853      --with-gnu-ld           assume the C compiler uses GNU ld default=no
854    --with-libiconv-prefix=DIR  search for libiconv in DIR/include and DIR/lib    --with-libiconv-prefix=DIR  search for libiconv in DIR/include and DIR/lib
855      --without-libiconv-prefix     don't search for libiconv in includedir and libdir
856    --with-included-gettext use the GNU gettext library included here    --with-included-gettext use the GNU gettext library included here
857      --with-libintl-prefix=DIR  search for libintl in DIR/include and DIR/lib
858      --without-libintl-prefix     don't search for libintl in includedir and libdir
859    
860  Some influential environment variables:  Some influential environment variables:
861    CC          C compiler command    CC          C compiler command
# Line 7300  fi; Line 7304  fi;
7304    
7305    
7306  ALL_LINGUAS="de es et fr it ja nl ru sv tr"  ALL_LINGUAS="de es et fr it ja nl ru sv tr"
7307    
7308            MKINSTALLDIRS=
7309      if test -n "$ac_aux_dir"; then
7310        MKINSTALLDIRS="$ac_aux_dir/mkinstalldirs"
7311      fi
7312      if test -z "$MKINSTALLDIRS"; then
7313        MKINSTALLDIRS="\$(top_srcdir)/mkinstalldirs"
7314      fi
7315    
7316    
7317    
7318    
7319    
7320            # Extract the first word of "msgfmt", so it can be a program name with args.
7321    set dummy msgfmt; ac_word=$2
7322    echo "$as_me:$LINENO: checking for $ac_word" >&5
7323    echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
7324    if test "${ac_cv_path_MSGFMT+set}" = set; then
7325      echo $ECHO_N "(cached) $ECHO_C" >&6
7326    else
7327      case "$MSGFMT" in
7328      /*)
7329      ac_cv_path_MSGFMT="$MSGFMT" # Let the user override the test with a path.
7330      ;;
7331      *)
7332      IFS="${IFS=   }"; ac_save_ifs="$IFS"; IFS="${IFS}:"
7333      for ac_dir in $PATH; do
7334        test -z "$ac_dir" && ac_dir=.
7335        if test -f $ac_dir/$ac_word; then
7336          if $ac_dir/$ac_word --statistics /dev/null >/dev/null 2>&1 &&
7337         (if $ac_dir/$ac_word --statistics /dev/null 2>&1 >/dev/null | grep usage >/dev/null; then exit 1; else exit 0; fi); then
7338            ac_cv_path_MSGFMT="$ac_dir/$ac_word"
7339            break
7340          fi
7341        fi
7342      done
7343      IFS="$ac_save_ifs"
7344      test -z "$ac_cv_path_MSGFMT" && ac_cv_path_MSGFMT=":"
7345      ;;
7346    esac
7347    fi
7348    MSGFMT="$ac_cv_path_MSGFMT"
7349    if test "$MSGFMT" != ":"; then
7350      echo "$as_me:$LINENO: result: $MSGFMT" >&5
7351    echo "${ECHO_T}$MSGFMT" >&6
7352    else
7353      echo "$as_me:$LINENO: result: no" >&5
7354    echo "${ECHO_T}no" >&6
7355    fi
7356    
7357      # Extract the first word of "gmsgfmt", so it can be a program name with args.
7358    set dummy gmsgfmt; ac_word=$2
7359    echo "$as_me:$LINENO: checking for $ac_word" >&5
7360    echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
7361    if test "${ac_cv_path_GMSGFMT+set}" = set; then
7362      echo $ECHO_N "(cached) $ECHO_C" >&6
7363    else
7364      case $GMSGFMT in
7365      [\\/]* | ?:[\\/]*)
7366      ac_cv_path_GMSGFMT="$GMSGFMT" # Let the user override the test with a path.
7367      ;;
7368      *)
7369      as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
7370    for as_dir in $PATH
7371    do
7372      IFS=$as_save_IFS
7373      test -z "$as_dir" && as_dir=.
7374      for ac_exec_ext in '' $ac_executable_extensions; do
7375      if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
7376        ac_cv_path_GMSGFMT="$as_dir/$ac_word$ac_exec_ext"
7377        echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
7378        break 2
7379      fi
7380    done
7381    done
7382    
7383      test -z "$ac_cv_path_GMSGFMT" && ac_cv_path_GMSGFMT="$MSGFMT"
7384      ;;
7385    esac
7386    fi
7387    GMSGFMT=$ac_cv_path_GMSGFMT
7388    
7389    if test -n "$GMSGFMT"; then
7390      echo "$as_me:$LINENO: result: $GMSGFMT" >&5
7391    echo "${ECHO_T}$GMSGFMT" >&6
7392    else
7393      echo "$as_me:$LINENO: result: no" >&5
7394    echo "${ECHO_T}no" >&6
7395    fi
7396    
7397    
7398            # Extract the first word of "xgettext", so it can be a program name with args.
7399    set dummy xgettext; ac_word=$2
7400    echo "$as_me:$LINENO: checking for $ac_word" >&5
7401    echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
7402    if test "${ac_cv_path_XGETTEXT+set}" = set; then
7403      echo $ECHO_N "(cached) $ECHO_C" >&6
7404    else
7405      case "$XGETTEXT" in
7406      /*)
7407      ac_cv_path_XGETTEXT="$XGETTEXT" # Let the user override the test with a path.
7408      ;;
7409      *)
7410      IFS="${IFS=   }"; ac_save_ifs="$IFS"; IFS="${IFS}:"
7411      for ac_dir in $PATH; do
7412        test -z "$ac_dir" && ac_dir=.
7413        if test -f $ac_dir/$ac_word; then
7414          if $ac_dir/$ac_word --omit-header --copyright-holder= /dev/null >/dev/null 2>&1 &&
7415         (if $ac_dir/$ac_word --omit-header --copyright-holder= /dev/null 2>&1 >/dev/null | grep usage >/dev/null; then exit 1; else exit 0; fi); then
7416            ac_cv_path_XGETTEXT="$ac_dir/$ac_word"
7417            break
7418          fi
7419        fi
7420      done
7421      IFS="$ac_save_ifs"
7422      test -z "$ac_cv_path_XGETTEXT" && ac_cv_path_XGETTEXT=":"
7423      ;;
7424    esac
7425    fi
7426    XGETTEXT="$ac_cv_path_XGETTEXT"
7427    if test "$XGETTEXT" != ":"; then
7428      echo "$as_me:$LINENO: result: $XGETTEXT" >&5
7429    echo "${ECHO_T}$XGETTEXT" >&6
7430    else
7431      echo "$as_me:$LINENO: result: no" >&5
7432    echo "${ECHO_T}no" >&6
7433    fi
7434    
7435        rm -f messages.po
7436    
7437        # Extract the first word of "msgmerge", so it can be a program name with args.
7438    set dummy msgmerge; ac_word=$2
7439    echo "$as_me:$LINENO: checking for $ac_word" >&5
7440    echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
7441    if test "${ac_cv_path_MSGMERGE+set}" = set; then
7442      echo $ECHO_N "(cached) $ECHO_C" >&6
7443    else
7444      case "$MSGMERGE" in
7445      /*)
7446      ac_cv_path_MSGMERGE="$MSGMERGE" # Let the user override the test with a path.
7447      ;;
7448      *)
7449      IFS="${IFS=   }"; ac_save_ifs="$IFS"; IFS="${IFS}:"
7450      for ac_dir in $PATH; do
7451        test -z "$ac_dir" && ac_dir=.
7452        if test -f $ac_dir/$ac_word; then
7453          if $ac_dir/$ac_word --update -q /dev/null /dev/null >/dev/null 2>&1; then
7454            ac_cv_path_MSGMERGE="$ac_dir/$ac_word"
7455            break
7456          fi
7457        fi
7458      done
7459      IFS="$ac_save_ifs"
7460      test -z "$ac_cv_path_MSGMERGE" && ac_cv_path_MSGMERGE=":"
7461      ;;
7462    esac
7463    fi
7464    MSGMERGE="$ac_cv_path_MSGMERGE"
7465    if test "$MSGMERGE" != ":"; then
7466      echo "$as_me:$LINENO: result: $MSGMERGE" >&5
7467    echo "${ECHO_T}$MSGMERGE" >&6
7468    else
7469      echo "$as_me:$LINENO: result: no" >&5
7470    echo "${ECHO_T}no" >&6
7471    fi
7472    
7473    
7474          if test "$GMSGFMT" != ":"; then
7475                if $GMSGFMT --statistics /dev/null >/dev/null 2>&1 &&
7476           (if $GMSGFMT --statistics /dev/null 2>&1 >/dev/null | grep usage >/dev/null; then exit 1; else exit 0; fi); then
7477          : ;
7478        else
7479          GMSGFMT=`echo "$GMSGFMT" | sed -e 's,^.*/,,'`
7480          echo "$as_me:$LINENO: result: found $GMSGFMT program is not GNU msgfmt; ignore it" >&5
7481    echo "${ECHO_T}found $GMSGFMT program is not GNU msgfmt; ignore it" >&6
7482          GMSGFMT=":"
7483        fi
7484      fi
7485    
7486          if test "$XGETTEXT" != ":"; then
7487                if $XGETTEXT --omit-header --copyright-holder= /dev/null >/dev/null 2>&1 &&
7488           (if $XGETTEXT --omit-header --copyright-holder= /dev/null 2>&1 >/dev/null | grep usage >/dev/null; then exit 1; else exit 0; fi); then
7489          : ;
7490        else
7491          echo "$as_me:$LINENO: result: found xgettext program is not GNU xgettext; ignore it" >&5
7492    echo "${ECHO_T}found xgettext program is not GNU xgettext; ignore it" >&6
7493          XGETTEXT=":"
7494        fi
7495            rm -f messages.po
7496      fi
7497    
7498      ac_config_commands="$ac_config_commands default-1"
7499    
7500    
7501  # Make sure we can run config.sub.  # Make sure we can run config.sub.
7502  $ac_config_sub sun4 >/dev/null 2>&1 ||  $ac_config_sub sun4 >/dev/null 2>&1 ||
7503    { { echo "$as_me:$LINENO: error: cannot run $ac_config_sub" >&5    { { echo "$as_me:$LINENO: error: cannot run $ac_config_sub" >&5
# Line 7868  echo "${ECHO_T}$ac_cv_gnu_library_2_1" > Line 8066  echo "${ECHO_T}$ac_cv_gnu_library_2_1" >
8066    
8067    
8068    
8069          if test "X$prefix" = "XNONE"; then
8070        acl_final_prefix="$ac_default_prefix"
8071      else
8072        acl_final_prefix="$prefix"
8073      fi
8074      if test "X$exec_prefix" = "XNONE"; then
8075        acl_final_exec_prefix='${prefix}'
8076      else
8077        acl_final_exec_prefix="$exec_prefix"
8078      fi
8079      acl_save_prefix="$prefix"
8080      prefix="$acl_final_prefix"
8081      eval acl_final_exec_prefix=\"$acl_final_exec_prefix\"
8082      prefix="$acl_save_prefix"
8083    
8084    
8085    # Check whether --with-gnu-ld or --without-gnu-ld was given.
8086    if test "${with_gnu_ld+set}" = set; then
8087      withval="$with_gnu_ld"
8088      test "$withval" = no || with_gnu_ld=yes
8089    else
8090      with_gnu_ld=no
8091    fi;
8092    ac_prog=ld
8093    if test "$GCC" = yes; then
8094      # Check if gcc -print-prog-name=ld gives a path.
8095      echo "$as_me:$LINENO: checking for ld used by GCC" >&5
8096    echo $ECHO_N "checking for ld used by GCC... $ECHO_C" >&6
8097      case $host in
8098      *-*-mingw*)
8099        # gcc leaves a trailing carriage return which upsets mingw
8100        ac_prog=`($CC -print-prog-name=ld) 2>&5 | tr -d '\015'` ;;
8101      *)
8102        ac_prog=`($CC -print-prog-name=ld) 2>&5` ;;
8103      esac
8104      case $ac_prog in
8105        # Accept absolute paths.
8106        [\\/]* | [A-Za-z]:[\\/]*)
8107          re_direlt='/[^/][^/]*/\.\./'
8108          # Canonicalize the path of ld
8109          ac_prog=`echo $ac_prog| sed 's%\\\\%/%g'`
8110          while echo $ac_prog | grep "$re_direlt" > /dev/null 2>&1; do
8111            ac_prog=`echo $ac_prog| sed "s%$re_direlt%/%"`
8112          done
8113          test -z "$LD" && LD="$ac_prog"
8114          ;;
8115      "")
8116        # If it fails, then pretend we aren't using GCC.
8117        ac_prog=ld
8118        ;;
8119      *)
8120        # If it is relative, then search for the first ld in PATH.
8121        with_gnu_ld=unknown
8122        ;;
8123      esac
8124    elif test "$with_gnu_ld" = yes; then
8125      echo "$as_me:$LINENO: checking for GNU ld" >&5
8126    echo $ECHO_N "checking for GNU ld... $ECHO_C" >&6
8127    else
8128      echo "$as_me:$LINENO: checking for non-GNU ld" >&5
8129    echo $ECHO_N "checking for non-GNU ld... $ECHO_C" >&6
8130    fi
8131    if test "${acl_cv_path_LD+set}" = set; then
8132      echo $ECHO_N "(cached) $ECHO_C" >&6
8133    else
8134      if test -z "$LD"; then
8135      IFS="${IFS=   }"; ac_save_ifs="$IFS"; IFS="${IFS}${PATH_SEPARATOR-:}"
8136      for ac_dir in $PATH; do
8137        test -z "$ac_dir" && ac_dir=.
8138        if test -f "$ac_dir/$ac_prog" || test -f "$ac_dir/$ac_prog$ac_exeext"; then
8139          acl_cv_path_LD="$ac_dir/$ac_prog"
8140          # Check to see if the program is GNU ld.  I'd rather use --version,
8141          # but apparently some GNU ld's only accept -v.
8142          # Break only if it was the GNU/non-GNU ld that we prefer.
8143          if "$acl_cv_path_LD" -v 2>&1 < /dev/null | egrep '(GNU|with BFD)' > /dev/null; then
8144            test "$with_gnu_ld" != no && break
8145          else
8146            test "$with_gnu_ld" != yes && break
8147          fi
8148        fi
8149      done
8150      IFS="$ac_save_ifs"
8151    else
8152      acl_cv_path_LD="$LD" # Let the user override the test with a path.
8153    fi
8154    fi
8155    
8156    LD="$acl_cv_path_LD"
8157    if test -n "$LD"; then
8158      echo "$as_me:$LINENO: result: $LD" >&5
8159    echo "${ECHO_T}$LD" >&6
8160    else
8161      echo "$as_me:$LINENO: result: no" >&5
8162    echo "${ECHO_T}no" >&6
8163    fi
8164    test -z "$LD" && { { echo "$as_me:$LINENO: error: no acceptable ld found in \$PATH" >&5
8165    echo "$as_me: error: no acceptable ld found in \$PATH" >&2;}
8166       { (exit 1); exit 1; }; }
8167    echo "$as_me:$LINENO: checking if the linker ($LD) is GNU ld" >&5
8168    echo $ECHO_N "checking if the linker ($LD) is GNU ld... $ECHO_C" >&6
8169    if test "${acl_cv_prog_gnu_ld+set}" = set; then
8170      echo $ECHO_N "(cached) $ECHO_C" >&6
8171    else
8172      # I'd rather use --version here, but apparently some GNU ld's only accept -v.
8173    if $LD -v 2>&1 </dev/null | egrep '(GNU|with BFD)' 1>&5; then
8174      acl_cv_prog_gnu_ld=yes
8175    else
8176      acl_cv_prog_gnu_ld=no
8177    fi
8178    fi
8179    echo "$as_me:$LINENO: result: $acl_cv_prog_gnu_ld" >&5
8180    echo "${ECHO_T}$acl_cv_prog_gnu_ld" >&6
8181    with_gnu_ld=$acl_cv_prog_gnu_ld
8182    
8183    
8184    
8185                                                    echo "$as_me:$LINENO: checking for shared library run path origin" >&5
8186    echo $ECHO_N "checking for shared library run path origin... $ECHO_C" >&6
8187    if test "${acl_cv_rpath+set}" = set; then
8188      echo $ECHO_N "(cached) $ECHO_C" >&6
8189    else
8190    
8191        CC="$CC" GCC="$GCC" LDFLAGS="$LDFLAGS" LD="$LD" with_gnu_ld="$with_gnu_ld" \
8192        ${CONFIG_SHELL-/bin/sh} "$ac_aux_dir/config.rpath" "$host" > conftest.sh
8193        . ./conftest.sh
8194        rm -f ./conftest.sh
8195        acl_cv_rpath=done
8196    
8197    fi
8198    echo "$as_me:$LINENO: result: $acl_cv_rpath" >&5
8199    echo "${ECHO_T}$acl_cv_rpath" >&6
8200      wl="$acl_cv_wl"
8201      libext="$acl_cv_libext"
8202      shlibext="$acl_cv_shlibext"
8203      hardcode_libdir_flag_spec="$acl_cv_hardcode_libdir_flag_spec"
8204      hardcode_libdir_separator="$acl_cv_hardcode_libdir_separator"
8205      hardcode_direct="$acl_cv_hardcode_direct"
8206      hardcode_minus_L="$acl_cv_hardcode_minus_L"
8207      sys_lib_search_path_spec="$acl_cv_sys_lib_search_path_spec"
8208      sys_lib_dlsearch_path_spec="$acl_cv_sys_lib_dlsearch_path_spec"
8209    
8210    
8211    
8212    
8213    
8214    
8215    
8216    
8217        use_additional=yes
8218    
8219      acl_save_prefix="$prefix"
8220      prefix="$acl_final_prefix"
8221      acl_save_exec_prefix="$exec_prefix"
8222      exec_prefix="$acl_final_exec_prefix"
8223    
8224        eval additional_includedir=\"$includedir\"
8225        eval additional_libdir=\"$libdir\"
8226    
8227      exec_prefix="$acl_save_exec_prefix"
8228      prefix="$acl_save_prefix"
8229    
8230    
8231    # Check whether --with-libiconv-prefix or --without-libiconv-prefix was given.
8232    if test "${with_libiconv_prefix+set}" = set; then
8233      withval="$with_libiconv_prefix"
8234    
8235        if test "X$withval" = "Xno"; then
8236          use_additional=no
8237        else
8238          if test "X$withval" = "X"; then
8239    
8240      acl_save_prefix="$prefix"
8241      prefix="$acl_final_prefix"
8242      acl_save_exec_prefix="$exec_prefix"
8243      exec_prefix="$acl_final_exec_prefix"
8244    
8245              eval additional_includedir=\"$includedir\"
8246              eval additional_libdir=\"$libdir\"
8247    
8248      exec_prefix="$acl_save_exec_prefix"
8249      prefix="$acl_save_prefix"
8250    
8251          else
8252            additional_includedir="$withval/include"
8253            additional_libdir="$withval/lib"
8254          fi
8255        fi
8256    
8257    fi;
8258          LIBICONV=
8259      LTLIBICONV=
8260      INCICONV=
8261      rpathdirs=
8262      ltrpathdirs=
8263      names_already_handled=
8264      names_next_round='iconv '
8265      while test -n "$names_next_round"; do
8266        names_this_round="$names_next_round"
8267        names_next_round=
8268        for name in $names_this_round; do
8269          already_handled=
8270          for n in $names_already_handled; do
8271            if test "$n" = "$name"; then
8272              already_handled=yes
8273              break
8274            fi
8275          done
8276          if test -z "$already_handled"; then
8277            names_already_handled="$names_already_handled $name"
8278                            uppername=`echo "$name" | sed -e 'y|abcdefghijklmnopqrstuvwxyz./-|ABCDEFGHIJKLMNOPQRSTUVWXYZ___|'`
8279            eval value=\"\$HAVE_LIB$uppername\"
8280            if test -n "$value"; then
8281              if test "$value" = yes; then
8282                eval value=\"\$LIB$uppername\"
8283                test -z "$value" || LIBICONV="${LIBICONV}${LIBICONV:+ }$value"
8284                eval value=\"\$LTLIB$uppername\"
8285                test -z "$value" || LTLIBICONV="${LTLIBICONV}${LTLIBICONV:+ }$value"
8286              else
8287                                        :
8288              fi
8289            else
8290                                  found_dir=
8291              found_la=
8292              found_so=
8293              found_a=
8294              if test $use_additional = yes; then
8295                if test -n "$shlibext" && test -f "$additional_libdir/lib$name.$shlibext"; then
8296                  found_dir="$additional_libdir"
8297                  found_so="$additional_libdir/lib$name.$shlibext"
8298                  if test -f "$additional_libdir/lib$name.la"; then
8299                    found_la="$additional_libdir/lib$name.la"
8300                  fi
8301                else
8302                  if test -f "$additional_libdir/lib$name.$libext"; then
8303                    found_dir="$additional_libdir"
8304                    found_a="$additional_libdir/lib$name.$libext"
8305                    if test -f "$additional_libdir/lib$name.la"; then
8306                      found_la="$additional_libdir/lib$name.la"
8307                    fi
8308                  fi
8309                fi
8310              fi
8311              if test "X$found_dir" = "X"; then
8312                for x in $LDFLAGS $LTLIBICONV; do
8313    
8314      acl_save_prefix="$prefix"
8315      prefix="$acl_final_prefix"
8316      acl_save_exec_prefix="$exec_prefix"
8317      exec_prefix="$acl_final_exec_prefix"
8318      eval x=\"$x\"
8319      exec_prefix="$acl_save_exec_prefix"
8320      prefix="$acl_save_prefix"
8321    
8322                  case "$x" in
8323                    -L*)
8324                      dir=`echo "X$x" | sed -e 's/^X-L//'`
8325                      if test -n "$shlibext" && test -f "$dir/lib$name.$shlibext"; then
8326                        found_dir="$dir"
8327                        found_so="$dir/lib$name.$shlibext"
8328                        if test -f "$dir/lib$name.la"; then
8329                          found_la="$dir/lib$name.la"
8330                        fi
8331                      else
8332                        if test -f "$dir/lib$name.$libext"; then
8333                          found_dir="$dir"
8334                          found_a="$dir/lib$name.$libext"
8335                          if test -f "$dir/lib$name.la"; then
8336                            found_la="$dir/lib$name.la"
8337                          fi
8338                        fi
8339                      fi
8340                      ;;
8341                  esac
8342                  if test "X$found_dir" != "X"; then
8343                    break
8344                  fi
8345                done
8346              fi
8347              if test "X$found_dir" != "X"; then
8348                            LTLIBICONV="${LTLIBICONV}${LTLIBICONV:+ }-L$found_dir -l$name"
8349                if test "X$found_so" != "X"; then
8350                                                            if test "X$found_dir" = "X/usr/lib"; then
8351                                    LIBICONV="${LIBICONV}${LIBICONV:+ }$found_so"
8352                  else
8353                                                                                    haveit=
8354                    for x in $ltrpathdirs; do
8355                      if test "X$x" = "X$found_dir"; then
8356                        haveit=yes
8357                        break
8358                      fi
8359                    done
8360                    if test -z "$haveit"; then
8361                      ltrpathdirs="$ltrpathdirs $found_dir"
8362                    fi
8363                                    if test "$hardcode_direct" = yes; then
8364                                                          LIBICONV="${LIBICONV}${LIBICONV:+ }$found_so"
8365                    else
8366                      if test -n "$hardcode_libdir_flag_spec" && test "$hardcode_minus_L" = no; then
8367                                                                LIBICONV="${LIBICONV}${LIBICONV:+ }$found_so"
8368                                                                haveit=
8369                        for x in $rpathdirs; do
8370                          if test "X$x" = "X$found_dir"; then
8371                            haveit=yes
8372                            break
8373                          fi
8374                        done
8375                        if test -z "$haveit"; then
8376                          rpathdirs="$rpathdirs $found_dir"
8377                        fi
8378                      else
8379                                                                                    haveit=
8380                        for x in $LDFLAGS $LIBICONV; do
8381    
8382      acl_save_prefix="$prefix"
8383      prefix="$acl_final_prefix"
8384      acl_save_exec_prefix="$exec_prefix"
8385      exec_prefix="$acl_final_exec_prefix"
8386      eval x=\"$x\"
8387      exec_prefix="$acl_save_exec_prefix"
8388      prefix="$acl_save_prefix"
8389    
8390                          if test "X$x" = "X-L$found_dir"; then
8391                            haveit=yes
8392                            break
8393                          fi
8394                        done
8395                        if test -z "$haveit"; then
8396                          LIBICONV="${LIBICONV}${LIBICONV:+ }-L$found_dir"
8397                        fi
8398                        if test "$hardcode_minus_L" != no; then
8399                                                                                            LIBICONV="${LIBICONV}${LIBICONV:+ }$found_so"
8400                        else
8401                                                                                                                                                                                    LIBICONV="${LIBICONV}${LIBICONV:+ }-l$name"
8402                        fi
8403                      fi
8404                    fi
8405                  fi
8406                else
8407                  if test "X$found_a" != "X"; then
8408                                    LIBICONV="${LIBICONV}${LIBICONV:+ }$found_a"
8409                  else
8410                                                    LIBICONV="${LIBICONV}${LIBICONV:+ }-L$found_dir -l$name"
8411                  fi
8412                fi
8413                            additional_includedir=
8414                case "$found_dir" in
8415                  */lib | */lib/)
8416                    basedir=`echo "X$found_dir" | sed -e 's,^X,,' -e 's,/lib/*$,,'`
8417                    additional_includedir="$basedir/include"
8418                    ;;
8419                esac
8420                if test "X$additional_includedir" != "X"; then
8421                                                                                                                    if test "X$additional_includedir" != "X/usr/include"; then
8422                    haveit=
8423                    if test "X$additional_includedir" = "X/usr/local/include"; then
8424                      if test -n "$GCC"; then
8425                        case $host_os in
8426                          linux*) haveit=yes;;
8427                        esac
8428                      fi
8429                    fi
8430                    if test -z "$haveit"; then
8431                      for x in $CPPFLAGS $INCICONV; do
8432    
8433      acl_save_prefix="$prefix"
8434      prefix="$acl_final_prefix"
8435      acl_save_exec_prefix="$exec_prefix"
8436      exec_prefix="$acl_final_exec_prefix"
8437      eval x=\"$x\"
8438      exec_prefix="$acl_save_exec_prefix"
8439      prefix="$acl_save_prefix"
8440    
8441                        if test "X$x" = "X-I$additional_includedir"; then
8442                          haveit=yes
8443                          break
8444                        fi
8445                      done
8446                      if test -z "$haveit"; then
8447                        if test -d "$additional_includedir"; then
8448                                                INCICONV="${INCICONV}${INCICONV:+ }-I$additional_includedir"
8449                        fi
8450                      fi
8451                    fi
8452                  fi
8453                fi
8454                            if test -n "$found_la"; then
8455                                                            save_libdir="$libdir"
8456                  case "$found_la" in
8457                    */* | *\\*) . "$found_la" ;;
8458                    *) . "./$found_la" ;;
8459                  esac
8460                  libdir="$save_libdir"
8461                                for dep in $dependency_libs; do
8462                    case "$dep" in
8463                      -L*)
8464                        additional_libdir=`echo "X$dep" | sed -e 's/^X-L//'`
8465                                                                                                                                                                    if test "X$additional_libdir" != "X/usr/lib"; then
8466                          haveit=
8467                          if test "X$additional_libdir" = "X/usr/local/lib"; then
8468                            if test -n "$GCC"; then
8469                              case $host_os in
8470                                linux*) haveit=yes;;
8471                              esac
8472                            fi
8473                          fi
8474                          if test -z "$haveit"; then
8475                            haveit=
8476                            for x in $LDFLAGS $LIBICONV; do
8477    
8478      acl_save_prefix="$prefix"
8479      prefix="$acl_final_prefix"
8480      acl_save_exec_prefix="$exec_prefix"
8481      exec_prefix="$acl_final_exec_prefix"
8482      eval x=\"$x\"
8483      exec_prefix="$acl_save_exec_prefix"
8484      prefix="$acl_save_prefix"
8485    
8486                              if test "X$x" = "X-L$additional_libdir"; then
8487                                haveit=yes
8488                                break
8489                              fi
8490                            done
8491                            if test -z "$haveit"; then
8492                              if test -d "$additional_libdir"; then
8493                                                            LIBICONV="${LIBICONV}${LIBICONV:+ }-L$additional_libdir"
8494                              fi
8495                            fi
8496                            haveit=
8497                            for x in $LDFLAGS $LTLIBICONV; do
8498    
8499      acl_save_prefix="$prefix"
8500      prefix="$acl_final_prefix"
8501      acl_save_exec_prefix="$exec_prefix"
8502      exec_prefix="$acl_final_exec_prefix"
8503      eval x=\"$x\"
8504      exec_prefix="$acl_save_exec_prefix"
8505      prefix="$acl_save_prefix"
8506    
8507                              if test "X$x" = "X-L$additional_libdir"; then
8508                                haveit=yes
8509                                break
8510                              fi
8511                            done
8512                            if test -z "$haveit"; then
8513                              if test -d "$additional_libdir"; then
8514                                                            LTLIBICONV="${LTLIBICONV}${LTLIBICONV:+ }-L$additional_libdir"
8515                              fi
8516                            fi
8517                          fi
8518                        fi
8519                        ;;
8520                      -l*)
8521                                            names_next_round="$names_next_round "`echo "X$dep" | sed -e 's/^X-l//'`
8522                        ;;
8523                      *.la)
8524                                                                                    names_next_round="$names_next_round "`echo "X$dep" | sed -e 's,^X.*/,,' -e 's,^lib,,' -e 's,\.la$,,'`
8525                        ;;
8526                      *)
8527                                            LIBICONV="${LIBICONV}${LIBICONV:+ }$dep"
8528                        LTLIBICONV="${LTLIBICONV}${LTLIBICONV:+ }$dep"
8529                        ;;
8530                    esac
8531                  done
8532                fi
8533              else
8534                                                                LIBICONV="${LIBICONV}${LIBICONV:+ }-l$name"
8535                LTLIBICONV="${LTLIBICONV}${LTLIBICONV:+ }-l$name"
8536              fi
8537            fi
8538          fi
8539        done
8540      done
8541      if test "X$rpathdirs" != "X"; then
8542        if test -n "$hardcode_libdir_separator"; then
8543                            alldirs=
8544          for found_dir in $rpathdirs; do
8545            alldirs="${alldirs}${alldirs:+$hardcode_libdir_separator}$found_dir"
8546          done
8547                acl_save_libdir="$libdir"
8548          libdir="$alldirs"
8549          eval flag=\"$hardcode_libdir_flag_spec\"
8550          libdir="$acl_save_libdir"
8551          LIBICONV="${LIBICONV}${LIBICONV:+ }$flag"
8552        else
8553                for found_dir in $rpathdirs; do
8554            acl_save_libdir="$libdir"
8555            libdir="$found_dir"
8556            eval flag=\"$hardcode_libdir_flag_spec\"
8557            libdir="$acl_save_libdir"
8558            LIBICONV="${LIBICONV}${LIBICONV:+ }$flag"
8559          done
8560        fi
8561      fi
8562      if test "X$ltrpathdirs" != "X"; then
8563                for found_dir in $ltrpathdirs; do
8564          LTLIBICONV="${LTLIBICONV}${LTLIBICONV:+ }-R$found_dir"
8565        done
8566      fi
8567    
8568    
8569              am_save_CPPFLAGS="$CPPFLAGS"
8570    
8571      for element in $INCICONV; do
8572        haveit=
8573        for x in $CPPFLAGS; do
8574    
8575      acl_save_prefix="$prefix"
8576      prefix="$acl_final_prefix"
8577      acl_save_exec_prefix="$exec_prefix"
8578      exec_prefix="$acl_final_exec_prefix"
8579      eval x=\"$x\"
8580      exec_prefix="$acl_save_exec_prefix"
8581      prefix="$acl_save_prefix"
8582    
8583          if test "X$x" = "X$element"; then
8584            haveit=yes
8585            break
8586          fi
8587        done
8588        if test -z "$haveit"; then
8589          CPPFLAGS="${CPPFLAGS}${CPPFLAGS:+ }$element"
8590        fi
8591      done
8592    
8593    
8594      echo "$as_me:$LINENO: checking for iconv" >&5
8595    echo $ECHO_N "checking for iconv... $ECHO_C" >&6
8596    if test "${am_cv_func_iconv+set}" = set; then
8597      echo $ECHO_N "(cached) $ECHO_C" >&6
8598    else
8599    
8600        am_cv_func_iconv="no, consider installing GNU libiconv"
8601        am_cv_lib_iconv=no
8602        cat >conftest.$ac_ext <<_ACEOF
8603    #line $LINENO "configure"
8604    #include "confdefs.h"
8605    #include <stdlib.h>
8606    #include <iconv.h>
8607    #ifdef F77_DUMMY_MAIN
8608    #  ifdef __cplusplus
8609         extern "C"
8610    #  endif
8611       int F77_DUMMY_MAIN() { return 1; }
8612    #endif
8613    int
8614    main ()
8615    {
8616    iconv_t cd = iconv_open("","");
8617           iconv(cd,NULL,NULL,NULL,NULL);
8618           iconv_close(cd);
8619      ;
8620      return 0;
8621    }
8622    _ACEOF
8623    rm -f conftest.$ac_objext conftest$ac_exeext
8624    if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
8625      (eval $ac_link) 2>&5
8626      ac_status=$?
8627      echo "$as_me:$LINENO: \$? = $ac_status" >&5
8628      (exit $ac_status); } &&
8629             { ac_try='test -s conftest$ac_exeext'
8630      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
8631      (eval $ac_try) 2>&5
8632      ac_status=$?
8633      echo "$as_me:$LINENO: \$? = $ac_status" >&5
8634      (exit $ac_status); }; }; then
8635      am_cv_func_iconv=yes
8636    else
8637      echo "$as_me: failed program was:" >&5
8638    cat conftest.$ac_ext >&5
8639    fi
8640    rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
8641        if test "$am_cv_func_iconv" != yes; then
8642          am_save_LIBS="$LIBS"
8643          LIBS="$LIBS $LIBICONV"
8644          cat >conftest.$ac_ext <<_ACEOF
8645    #line $LINENO "configure"
8646    #include "confdefs.h"
8647    #include <stdlib.h>
8648    #include <iconv.h>
8649    #ifdef F77_DUMMY_MAIN
8650    #  ifdef __cplusplus
8651         extern "C"
8652    #  endif
8653       int F77_DUMMY_MAIN() { return 1; }
8654    #endif
8655    int
8656    main ()
8657    {
8658    iconv_t cd = iconv_open("","");
8659             iconv(cd,NULL,NULL,NULL,NULL);
8660             iconv_close(cd);
8661      ;
8662      return 0;
8663    }
8664    _ACEOF
8665    rm -f conftest.$ac_objext conftest$ac_exeext
8666    if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
8667      (eval $ac_link) 2>&5
8668      ac_status=$?
8669      echo "$as_me:$LINENO: \$? = $ac_status" >&5
8670      (exit $ac_status); } &&
8671             { ac_try='test -s conftest$ac_exeext'
8672      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
8673      (eval $ac_try) 2>&5
8674      ac_status=$?
8675      echo "$as_me:$LINENO: \$? = $ac_status" >&5
8676      (exit $ac_status); }; }; then
8677      am_cv_lib_iconv=yes
8678            am_cv_func_iconv=yes
8679    else
8680      echo "$as_me: failed program was:" >&5
8681    cat conftest.$ac_ext >&5
8682    fi
8683    rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
8684          LIBS="$am_save_LIBS"
8685        fi
8686    
8687    fi
8688    echo "$as_me:$LINENO: result: $am_cv_func_iconv" >&5
8689    echo "${ECHO_T}$am_cv_func_iconv" >&6
8690      if test "$am_cv_func_iconv" = yes; then
8691    
8692    cat >>confdefs.h <<\_ACEOF
8693    #define HAVE_ICONV 1
8694    _ACEOF
8695    
8696      fi
8697      if test "$am_cv_lib_iconv" = yes; then
8698        echo "$as_me:$LINENO: checking how to link with libiconv" >&5
8699    echo $ECHO_N "checking how to link with libiconv... $ECHO_C" >&6
8700        echo "$as_me:$LINENO: result: $LIBICONV" >&5
8701    echo "${ECHO_T}$LIBICONV" >&6
8702      else
8703                CPPFLAGS="$am_save_CPPFLAGS"
8704        LIBICONV=
8705        LTLIBICONV=
8706      fi
8707    
8708    
8709    
8710    
8711    
8712    
8713    
8714    
# Line 8013  done Line 8854  done
8854    
8855    
8856    
8857  for ac_func in feof_unlocked fgets_unlocked getcwd getegid geteuid \  for ac_func in feof_unlocked fgets_unlocked getc_unlocked getcwd getegid \
8858  getgid getuid mempcpy munmap putenv setenv setlocale stpcpy strchr strcasecmp \  geteuid getgid getuid mempcpy munmap putenv setenv setlocale stpcpy \
8859  strdup strtoul tsearch __argz_count __argz_stringify __argz_next  strcasecmp strdup strtoul tsearch __argz_count __argz_stringify __argz_next
8860  do  do
8861  as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`  as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
8862  echo "$as_me:$LINENO: checking for $ac_func" >&5  echo "$as_me:$LINENO: checking for $ac_func" >&5
# Line 8093  done Line 8934  done
8934    
8935    
8936    
   
 # Check whether --with-libiconv-prefix or --without-libiconv-prefix was given.  
 if test "${with_libiconv_prefix+set}" = set; then  
   withval="$with_libiconv_prefix"  
   
     for dir in `echo "$withval" | tr : ' '`; do  
       if test -d $dir/include; then CPPFLAGS="$CPPFLAGS -I$dir/include"; fi  
       if test -d $dir/lib; then LDFLAGS="$LDFLAGS -L$dir/lib"; fi  
     done  
   
 fi;  
   
   echo "$as_me:$LINENO: checking for iconv" >&5  
 echo $ECHO_N "checking for iconv... $ECHO_C" >&6  
 if test "${am_cv_func_iconv+set}" = set; then  
   echo $ECHO_N "(cached) $ECHO_C" >&6  
 else  
   
     am_cv_func_iconv="no, consider installing GNU libiconv"  
     am_cv_lib_iconv=no  
     cat >conftest.$ac_ext <<_ACEOF  
 #line $LINENO "configure"  
 #include "confdefs.h"  
 #include <stdlib.h>  
 #include <iconv.h>  
 #ifdef F77_DUMMY_MAIN  
 #  ifdef __cplusplus  
      extern "C"  
 #  endif  
    int F77_DUMMY_MAIN() { return 1; }  
 #endif  
 int  
 main ()  
 {  
 iconv_t cd = iconv_open("","");  
        iconv(cd,NULL,NULL,NULL,NULL);  
        iconv_close(cd);  
   ;  
   return 0;  
 }  
 _ACEOF  
 rm -f conftest.$ac_objext conftest$ac_exeext  
 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5  
   (eval $ac_link) 2>&5  
   ac_status=$?  
   echo "$as_me:$LINENO: \$? = $ac_status" >&5  
   (exit $ac_status); } &&  
          { ac_try='test -s conftest$ac_exeext'  
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5  
   (eval $ac_try) 2>&5  
   ac_status=$?  
   echo "$as_me:$LINENO: \$? = $ac_status" >&5  
   (exit $ac_status); }; }; then  
   am_cv_func_iconv=yes  
 else  
   echo "$as_me: failed program was:" >&5  
 cat conftest.$ac_ext >&5  
 fi  
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext  
     if test "$am_cv_func_iconv" != yes; then  
       am_save_LIBS="$LIBS"  
       LIBS="$LIBS -liconv"  
       cat >conftest.$ac_ext <<_ACEOF  
 #line $LINENO "configure"  
 #include "confdefs.h"  
 #include <stdlib.h>  
 #include <iconv.h>  
 #ifdef F77_DUMMY_MAIN  
 #  ifdef __cplusplus  
      extern "C"  
 #  endif  
    int F77_DUMMY_MAIN() { return 1; }  
 #endif  
 int  
 main ()  
 {  
 iconv_t cd = iconv_open("","");  
          iconv(cd,NULL,NULL,NULL,NULL);  
          iconv_close(cd);  
   ;  
   return 0;  
 }  
 _ACEOF  
 rm -f conftest.$ac_objext conftest$ac_exeext  
 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5  
   (eval $ac_link) 2>&5  
   ac_status=$?  
   echo "$as_me:$LINENO: \$? = $ac_status" >&5  
   (exit $ac_status); } &&  
          { ac_try='test -s conftest$ac_exeext'  
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5  
   (eval $ac_try) 2>&5  
   ac_status=$?  
   echo "$as_me:$LINENO: \$? = $ac_status" >&5  
   (exit $ac_status); }; }; then  
   am_cv_lib_iconv=yes  
         am_cv_func_iconv=yes  
 else  
   echo "$as_me: failed program was:" >&5  
 cat conftest.$ac_ext >&5  
 fi  
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext  
       LIBS="$am_save_LIBS"  
     fi  
   
 fi  
 echo "$as_me:$LINENO: result: $am_cv_func_iconv" >&5  
 echo "${ECHO_T}$am_cv_func_iconv" >&6  
8937    if test "$am_cv_func_iconv" = yes; then    if test "$am_cv_func_iconv" = yes; then
   
 cat >>confdefs.h <<\_ACEOF  
 #define HAVE_ICONV 1  
 _ACEOF  
   
8938      echo "$as_me:$LINENO: checking for iconv declaration" >&5      echo "$as_me:$LINENO: checking for iconv declaration" >&5
8939  echo $ECHO_N "checking for iconv declaration... $ECHO_C" >&6  echo $ECHO_N "checking for iconv declaration... $ECHO_C" >&6
8940      if test "${am_cv_proto_iconv+set}" = set; then      if test "${am_cv_proto_iconv+set}" = set; then
# Line 8276  cat >>confdefs.h <<_ACEOF Line 9004  cat >>confdefs.h <<_ACEOF
9004  _ACEOF  _ACEOF
9005    
9006    fi    fi
   LIBICONV=  
   if test "$am_cv_lib_iconv" = yes; then  
     LIBICONV="-liconv"  
   fi  
   
9007    
9008    
9009    echo "$as_me:$LINENO: checking for nl_langinfo and CODESET" >&5    echo "$as_me:$LINENO: checking for nl_langinfo and CODESET" >&5
# Line 8337  _ACEOF Line 9060  _ACEOF
9060    
9061    fi    fi
9062    
9063     if test $ac_cv_header_locale_h = yes; then    if test $ac_cv_header_locale_h = yes; then
9064      echo "$as_me:$LINENO: checking for LC_MESSAGES" >&5      echo "$as_me:$LINENO: checking for LC_MESSAGES" >&5
9065  echo $ECHO_N "checking for LC_MESSAGES... $ECHO_C" >&6  echo $ECHO_N "checking for LC_MESSAGES... $ECHO_C" >&6
9066  if test "${am_cv_val_LC_MESSAGES+set}" = set; then  if test "${am_cv_val_LC_MESSAGES+set}" = set; then
# Line 8391  _ACEOF Line 9114  _ACEOF
9114    
9115      fi      fi
9116    fi    fi
9117     echo "$as_me:$LINENO: checking whether NLS is requested" >&5  
9118                          for ac_prog in bison
9119    do
9120      # Extract the first word of "$ac_prog", so it can be a program name with args.
9121    set dummy $ac_prog; ac_word=$2
9122    echo "$as_me:$LINENO: checking for $ac_word" >&5
9123    echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
9124    if test "${ac_cv_prog_INTLBISON+set}" = set; then
9125      echo $ECHO_N "(cached) $ECHO_C" >&6
9126    else
9127      if test -n "$INTLBISON"; then
9128      ac_cv_prog_INTLBISON="$INTLBISON" # Let the user override the test.
9129    else
9130    as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
9131    for as_dir in $PATH
9132    do
9133      IFS=$as_save_IFS
9134      test -z "$as_dir" && as_dir=.
9135      for ac_exec_ext in '' $ac_executable_extensions; do
9136      if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
9137        ac_cv_prog_INTLBISON="$ac_prog"
9138        echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
9139        break 2
9140      fi
9141    done
9142    done
9143    
9144    fi
9145    fi
9146    INTLBISON=$ac_cv_prog_INTLBISON
9147    if test -n "$INTLBISON"; then
9148      echo "$as_me:$LINENO: result: $INTLBISON" >&5
9149    echo "${ECHO_T}$INTLBISON" >&6
9150    else
9151      echo "$as_me:$LINENO: result: no" >&5
9152    echo "${ECHO_T}no" >&6
9153    fi
9154    
9155      test -n "$INTLBISON" && break
9156    done
9157    
9158      if test -z "$INTLBISON"; then
9159        ac_verc_fail=yes
9160      else
9161            echo "$as_me:$LINENO: checking version of bison" >&5
9162    echo $ECHO_N "checking version of bison... $ECHO_C" >&6
9163        ac_prog_version=`$INTLBISON --version 2>&1 | sed -n 's/^.*GNU Bison.* \([0-9]*\.[0-9.]*\).*$/\1/p'`
9164        case $ac_prog_version in
9165          '') ac_prog_version="v. ?.??, bad"; ac_verc_fail=yes;;
9166          1.2[6-9]* | 1.[3-9][0-9]* | [2-9].*)
9167             ac_prog_version="$ac_prog_version, ok"; ac_verc_fail=no;;
9168          *) ac_prog_version="$ac_prog_version, bad"; ac_verc_fail=yes;;
9169        esac
9170        echo "$as_me:$LINENO: result: $ac_prog_version" >&5
9171    echo "${ECHO_T}$ac_prog_version" >&6
9172      fi
9173      if test $ac_verc_fail = yes; then
9174        INTLBISON=:
9175      fi
9176    
9177    
9178    
9179    
9180    
9181    
9182    
9183    
9184    
9185    
9186    
9187    
9188    
9189      echo "$as_me:$LINENO: checking whether NLS is requested" >&5
9190  echo $ECHO_N "checking whether NLS is requested... $ECHO_C" >&6  echo $ECHO_N "checking whether NLS is requested... $ECHO_C" >&6
9191          # Check whether --enable-nls or --disable-nls was given.      # Check whether --enable-nls or --disable-nls was given.
9192  if test "${enable_nls+set}" = set; then  if test "${enable_nls+set}" = set; then
9193    enableval="$enable_nls"    enableval="$enable_nls"
9194    USE_NLS=$enableval    USE_NLS=$enableval
9195  else  else
9196    USE_NLS=yes    USE_NLS=yes
9197  fi;  fi;
9198      echo "$as_me:$LINENO: result: $USE_NLS" >&5    echo "$as_me:$LINENO: result: $USE_NLS" >&5
9199  echo "${ECHO_T}$USE_NLS" >&6  echo "${ECHO_T}$USE_NLS" >&6
9200    
9201    
9202    
9203      BUILD_INCLUDED_LIBINTL=no      BUILD_INCLUDED_LIBINTL=no
9204      USE_INCLUDED_LIBINTL=no      USE_INCLUDED_LIBINTL=no
     INTLLIBS=  
9205    
9206          if test "$USE_NLS" = "yes"; then    LIBINTL=
9207      LTLIBINTL=
9208      POSUB=
9209    
9210  cat >>confdefs.h <<\_ACEOF      if test "$USE_NLS" = "yes"; then
9211  #define ENABLE_NLS 1      gt_use_preinstalled_gnugettext=no
 _ACEOF  
9212    
9213        echo "$as_me:$LINENO: checking whether included gettext is requested" >&5        echo "$as_me:$LINENO: checking whether included gettext is requested" >&5
9214  echo $ECHO_N "checking whether included gettext is requested... $ECHO_C" >&6  echo $ECHO_N "checking whether included gettext is requested... $ECHO_C" >&6
# Line 8429  echo "${ECHO_T}$nls_cv_force_use_gnu_get Line 9225  echo "${ECHO_T}$nls_cv_force_use_gnu_get
9225    
9226        nls_cv_use_gnu_gettext="$nls_cv_force_use_gnu_gettext"        nls_cv_use_gnu_gettext="$nls_cv_force_use_gnu_gettext"
9227        if test "$nls_cv_force_use_gnu_gettext" != "yes"; then        if test "$nls_cv_force_use_gnu_gettext" != "yes"; then
                                 CATOBJEXT=NONE  
9228    
9229    
9230    
9231    
         if test "${ac_cv_header_libintl_h+set}" = set; then  
   echo "$as_me:$LINENO: checking for libintl.h" >&5  
 echo $ECHO_N "checking for libintl.h... $ECHO_C" >&6  
 if test "${ac_cv_header_libintl_h+set}" = set; then  
   echo $ECHO_N "(cached) $ECHO_C" >&6  
 fi  
 echo "$as_me:$LINENO: result: $ac_cv_header_libintl_h" >&5  
 echo "${ECHO_T}$ac_cv_header_libintl_h" >&6  
 else  
   # Is the header compilable?  
 echo "$as_me:$LINENO: checking libintl.h usability" >&5  
 echo $ECHO_N "checking libintl.h usability... $ECHO_C" >&6  
 cat >conftest.$ac_ext <<_ACEOF  
 #line $LINENO "configure"  
 #include "confdefs.h"  
 $ac_includes_default  
 #include <libintl.h>  
 _ACEOF  
 rm -f conftest.$ac_objext  
 if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5  
   (eval $ac_compile) 2>&5  
   ac_status=$?  
   echo "$as_me:$LINENO: \$? = $ac_status" >&5  
   (exit $ac_status); } &&  
          { ac_try='test -s conftest.$ac_objext'  
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5  
   (eval $ac_try) 2>&5  
   ac_status=$?  
   echo "$as_me:$LINENO: \$? = $ac_status" >&5  
   (exit $ac_status); }; }; then  
   ac_header_compiler=yes  
 else  
   echo "$as_me: failed program was:" >&5  
 cat conftest.$ac_ext >&5  
 ac_header_compiler=no  
 fi  
 rm -f conftest.$ac_objext conftest.$ac_ext  
 echo "$as_me:$LINENO: result: $ac_header_compiler" >&5  
 echo "${ECHO_T}$ac_header_compiler" >&6  
9232    
 # Is the header present?  
 echo "$as_me:$LINENO: checking libintl.h presence" >&5  
 echo $ECHO_N "checking libintl.h presence... $ECHO_C" >&6  
 cat >conftest.$ac_ext <<_ACEOF  
 #line $LINENO "configure"  
 #include "confdefs.h"  
 #include <libintl.h>  
 _ACEOF  
 if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5  
   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1  
   ac_status=$?  
   egrep -v '^ *\+' conftest.er1 >conftest.err  
   rm -f conftest.er1  
   cat conftest.err >&5  
   echo "$as_me:$LINENO: \$? = $ac_status" >&5  
   (exit $ac_status); } >/dev/null; then  
   if test -s conftest.err; then  
     ac_cpp_err=$ac_c_preproc_warn_flag  
   else  
     ac_cpp_err=  
   fi  
 else  
   ac_cpp_err=yes  
 fi  
 if test -z "$ac_cpp_err"; then  
   ac_header_preproc=yes  
 else  
   echo "$as_me: failed program was:" >&5  
   cat conftest.$ac_ext >&5  
   ac_header_preproc=no  
 fi  
 rm -f conftest.err conftest.$ac_ext  
 echo "$as_me:$LINENO: result: $ac_header_preproc" >&5  
 echo "${ECHO_T}$ac_header_preproc" >&6  
   
 # So?  What about this header?  
 case $ac_header_compiler:$ac_header_preproc in  
   yes:no )  
     { echo "$as_me:$LINENO: WARNING: libintl.h: accepted by the compiler, rejected by the preprocessor!" >&5  
 echo "$as_me: WARNING: libintl.h: accepted by the compiler, rejected by the preprocessor!" >&2;}  
     { echo "$as_me:$LINENO: WARNING: libintl.h: proceeding with the preprocessor's result" >&5  
 echo "$as_me: WARNING: libintl.h: proceeding with the preprocessor's result" >&2;};;  
   no:yes )  
     { echo "$as_me:$LINENO: WARNING: libintl.h: present but cannot be compiled" >&5  
 echo "$as_me: WARNING: libintl.h: present but cannot be compiled" >&2;}  
     { echo "$as_me:$LINENO: WARNING: libintl.h: check for missing prerequisite headers?" >&5  
 echo "$as_me: WARNING: libintl.h: check for missing prerequisite headers?" >&2;}  
     { echo "$as_me:$LINENO: WARNING: libintl.h: proceeding with the preprocessor's result" >&5  
 echo "$as_me: WARNING: libintl.h: proceeding with the preprocessor's result" >&2;};;  
 esac  
 echo "$as_me:$LINENO: checking for libintl.h" >&5  
 echo $ECHO_N "checking for libintl.h... $ECHO_C" >&6  
 if test "${ac_cv_header_libintl_h+set}" = set; then  
   echo $ECHO_N "(cached) $ECHO_C" >&6  
 else  
   ac_cv_header_libintl_h=$ac_header_preproc  
 fi  
 echo "$as_me:$LINENO: result: $ac_cv_header_libintl_h" >&5  
 echo "${ECHO_T}$ac_cv_header_libintl_h" >&6  
9233    
9234  fi          echo "$as_me:$LINENO: checking for GNU gettext in libc" >&5
 if test $ac_cv_header_libintl_h = yes; then  
   echo "$as_me:$LINENO: checking for GNU gettext in libc" >&5  
9235  echo $ECHO_N "checking for GNU gettext in libc... $ECHO_C" >&6  echo $ECHO_N "checking for GNU gettext in libc... $ECHO_C" >&6
9236  if test "${gt_cv_func_gnugettext2_libc+set}" = set; then  if test "${gt_cv_func_gnugettext2_libc+set}" = set; then
9237    echo $ECHO_N "(cached) $ECHO_C" >&6    echo $ECHO_N "(cached) $ECHO_C" >&6
# Line 8546  else Line 9241  else
9241  #include "confdefs.h"  #include "confdefs.h"
9242  #include <libintl.h>  #include <libintl.h>
9243  extern int _nl_msg_cat_cntr;  extern int _nl_msg_cat_cntr;
9244    extern int *_nl_domain_bindings;
9245  #ifdef F77_DUMMY_MAIN  #ifdef F77_DUMMY_MAIN
9246  #  ifdef __cplusplus  #  ifdef __cplusplus
9247       extern "C"       extern "C"
# Line 8556  int Line 9252  int
9252  main ()  main ()
9253  {  {
9254  bindtextdomain ("", "");  bindtextdomain ("", "");
9255  return (int) gettext ("") + (int) ngettext ("", "", 0) + _nl_msg_cat_cntr  return (int) gettext ("") + (int) ngettext ("", "", 0) + _nl_msg_cat_cntr + *_nl_domain_bindings
9256    ;    ;
9257    return 0;    return 0;
9258  }  }
# Line 8584  fi Line 9280  fi
9280  echo "$as_me:$LINENO: result: $gt_cv_func_gnugettext2_libc" >&5  echo "$as_me:$LINENO: result: $gt_cv_func_gnugettext2_libc" >&5
9281  echo "${ECHO_T}$gt_cv_func_gnugettext2_libc" >&6  echo "${ECHO_T}$gt_cv_func_gnugettext2_libc" >&6
9282    
9283             if test "$gt_cv_func_gnugettext2_libc" != "yes"; then          if test "$gt_cv_func_gnugettext2_libc" != "yes"; then
9284               echo "$as_me:$LINENO: checking for GNU gettext in libintl" >&5  
9285    
9286    
9287        use_additional=yes
9288    
9289      acl_save_prefix="$prefix"
9290      prefix="$acl_final_prefix"
9291      acl_save_exec_prefix="$exec_prefix"
9292      exec_prefix="$acl_final_exec_prefix"
9293    
9294        eval additional_includedir=\"$includedir\"
9295        eval additional_libdir=\"$libdir\"
9296    
9297      exec_prefix="$acl_save_exec_prefix"
9298      prefix="$acl_save_prefix"
9299    
9300    
9301    # Check whether --with-libintl-prefix or --without-libintl-prefix was given.
9302    if test "${with_libintl_prefix+set}" = set; then
9303      withval="$with_libintl_prefix"
9304    
9305        if test "X$withval" = "Xno"; then
9306          use_additional=no
9307        else
9308          if test "X$withval" = "X"; then
9309    
9310      acl_save_prefix="$prefix"
9311      prefix="$acl_final_prefix"
9312      acl_save_exec_prefix="$exec_prefix"
9313      exec_prefix="$acl_final_exec_prefix"
9314    
9315              eval additional_includedir=\"$includedir\"
9316              eval additional_libdir=\"$libdir\"
9317    
9318      exec_prefix="$acl_save_exec_prefix"
9319      prefix="$acl_save_prefix"
9320    
9321          else
9322            additional_includedir="$withval/include"
9323            additional_libdir="$withval/lib"
9324          fi
9325        fi
9326    
9327    fi;
9328          LIBINTL=
9329      LTLIBINTL=
9330      INCINTL=
9331      rpathdirs=
9332      ltrpathdirs=
9333      names_already_handled=
9334      names_next_round='intl '
9335      while test -n "$names_next_round"; do
9336        names_this_round="$names_next_round"
9337        names_next_round=
9338        for name in $names_this_round; do
9339          already_handled=
9340          for n in $names_already_handled; do
9341            if test "$n" = "$name"; then
9342              already_handled=yes
9343              break
9344            fi
9345          done
9346          if test -z "$already_handled"; then
9347            names_already_handled="$names_already_handled $name"
9348                            uppername=`echo "$name" | sed -e 'y|abcdefghijklmnopqrstuvwxyz./-|ABCDEFGHIJKLMNOPQRSTUVWXYZ___|'`
9349            eval value=\"\$HAVE_LIB$uppername\"
9350            if test -n "$value"; then
9351              if test "$value" = yes; then
9352                eval value=\"\$LIB$uppername\"
9353                test -z "$value" || LIBINTL="${LIBINTL}${LIBINTL:+ }$value"
9354                eval value=\"\$LTLIB$uppername\"
9355                test -z "$value" || LTLIBINTL="${LTLIBINTL}${LTLIBINTL:+ }$value"
9356              else
9357                                        :
9358              fi
9359            else
9360                                  found_dir=
9361              found_la=
9362              found_so=
9363              found_a=
9364              if test $use_additional = yes; then
9365                if test -n "$shlibext" && test -f "$additional_libdir/lib$name.$shlibext"; then
9366                  found_dir="$additional_libdir"
9367                  found_so="$additional_libdir/lib$name.$shlibext"
9368                  if test -f "$additional_libdir/lib$name.la"; then
9369                    found_la="$additional_libdir/lib$name.la"
9370                  fi
9371                else
9372                  if test -f "$additional_libdir/lib$name.$libext"; then
9373                    found_dir="$additional_libdir"
9374                    found_a="$additional_libdir/lib$name.$libext"
9375                    if test -f "$additional_libdir/lib$name.la"; then
9376                      found_la="$additional_libdir/lib$name.la"
9377                    fi
9378                  fi
9379                fi
9380              fi
9381              if test "X$found_dir" = "X"; then
9382                for x in $LDFLAGS $LTLIBINTL; do
9383    
9384      acl_save_prefix="$prefix"
9385      prefix="$acl_final_prefix"
9386      acl_save_exec_prefix="$exec_prefix"
9387      exec_prefix="$acl_final_exec_prefix"
9388      eval x=\"$x\"
9389      exec_prefix="$acl_save_exec_prefix"
9390      prefix="$acl_save_prefix"
9391    
9392                  case "$x" in
9393                    -L*)
9394                      dir=`echo "X$x" | sed -e 's/^X-L//'`
9395                      if test -n "$shlibext" && test -f "$dir/lib$name.$shlibext"; then
9396                        found_dir="$dir"
9397                        found_so="$dir/lib$name.$shlibext"
9398                        if test -f "$dir/lib$name.la"; then
9399                          found_la="$dir/lib$name.la"
9400                        fi
9401                      else
9402                        if test -f "$dir/lib$name.$libext"; then
9403                          found_dir="$dir"
9404                          found_a="$dir/lib$name.$libext"
9405                          if test -f "$dir/lib$name.la"; then
9406                            found_la="$dir/lib$name.la"
9407                          fi
9408                        fi
9409                      fi
9410                      ;;
9411                  esac
9412                  if test "X$found_dir" != "X"; then
9413                    break
9414                  fi
9415                done
9416              fi
9417              if test "X$found_dir" != "X"; then
9418                            LTLIBINTL="${LTLIBINTL}${LTLIBINTL:+ }-L$found_dir -l$name"
9419                if test "X$found_so" != "X"; then
9420                                                            if test "X$found_dir" = "X/usr/lib"; then
9421                                    LIBINTL="${LIBINTL}${LIBINTL:+ }$found_so"
9422                  else
9423                                                                                    haveit=
9424                    for x in $ltrpathdirs; do
9425                      if test "X$x" = "X$found_dir"; then
9426                        haveit=yes
9427                        break
9428                      fi
9429                    done
9430                    if test -z "$haveit"; then
9431                      ltrpathdirs="$ltrpathdirs $found_dir"
9432                    fi
9433                                    if test "$hardcode_direct" = yes; then
9434                                                          LIBINTL="${LIBINTL}${LIBINTL:+ }$found_so"
9435                    else
9436                      if test -n "$hardcode_libdir_flag_spec" && test "$hardcode_minus_L" = no; then
9437                                                                LIBINTL="${LIBINTL}${LIBINTL:+ }$found_so"
9438                                                                haveit=
9439                        for x in $rpathdirs; do
9440                          if test "X$x" = "X$found_dir"; then
9441                            haveit=yes
9442                            break
9443                          fi
9444                        done
9445                        if test -z "$haveit"; then
9446                          rpathdirs="$rpathdirs $found_dir"
9447                        fi
9448                      else
9449                                                                                    haveit=
9450                        for x in $LDFLAGS $LIBINTL; do
9451    
9452      acl_save_prefix="$prefix"
9453      prefix="$acl_final_prefix"
9454      acl_save_exec_prefix="$exec_prefix"
9455      exec_prefix="$acl_final_exec_prefix"
9456      eval x=\"$x\"
9457      exec_prefix="$acl_save_exec_prefix"
9458      prefix="$acl_save_prefix"
9459    
9460                          if test "X$x" = "X-L$found_dir"; then
9461                            haveit=yes
9462                            break
9463                          fi
9464                        done
9465                        if test -z "$haveit"; then
9466                          LIBINTL="${LIBINTL}${LIBINTL:+ }-L$found_dir"
9467                        fi
9468                        if test "$hardcode_minus_L" != no; then
9469                                                                                            LIBINTL="${LIBINTL}${LIBINTL:+ }$found_so"
9470                        else
9471                                                                                                                                                                                    LIBINTL="${LIBINTL}${LIBINTL:+ }-l$name"
9472                        fi
9473                      fi
9474                    fi
9475                  fi
9476                else
9477                  if test "X$found_a" != "X"; then
9478                                    LIBINTL="${LIBINTL}${LIBINTL:+ }$found_a"
9479                  else
9480                                                    LIBINTL="${LIBINTL}${LIBINTL:+ }-L$found_dir -l$name"
9481                  fi
9482                fi
9483                            additional_includedir=
9484                case "$found_dir" in
9485                  */lib | */lib/)
9486                    basedir=`echo "X$found_dir" | sed -e 's,^X,,' -e 's,/lib/*$,,'`
9487                    additional_includedir="$basedir/include"
9488                    ;;
9489                esac
9490                if test "X$additional_includedir" != "X"; then
9491                                                                                                                    if test "X$additional_includedir" != "X/usr/include"; then
9492                    haveit=
9493                    if test "X$additional_includedir" = "X/usr/local/include"; then
9494                      if test -n "$GCC"; then
9495                        case $host_os in
9496                          linux*) haveit=yes;;
9497                        esac
9498                      fi
9499                    fi
9500                    if test -z "$haveit"; then
9501                      for x in $CPPFLAGS $INCINTL; do
9502    
9503      acl_save_prefix="$prefix"
9504      prefix="$acl_final_prefix"
9505      acl_save_exec_prefix="$exec_prefix"
9506      exec_prefix="$acl_final_exec_prefix"
9507      eval x=\"$x\"
9508      exec_prefix="$acl_save_exec_prefix"
9509      prefix="$acl_save_prefix"
9510    
9511                        if test "X$x" = "X-I$additional_includedir"; then
9512                          haveit=yes
9513                          break
9514                        fi
9515                      done
9516                      if test -z "$haveit"; then
9517                        if test -d "$additional_includedir"; then
9518                                                INCINTL="${INCINTL}${INCINTL:+ }-I$additional_includedir"
9519                        fi
9520                      fi
9521                    fi
9522                  fi
9523                fi
9524                            if test -n "$found_la"; then
9525                                                            save_libdir="$libdir"
9526                  case "$found_la" in
9527                    */* | *\\*) . "$found_la" ;;
9528                    *) . "./$found_la" ;;
9529                  esac
9530                  libdir="$save_libdir"
9531                                for dep in $dependency_libs; do
9532                    case "$dep" in
9533                      -L*)
9534                        additional_libdir=`echo "X$dep" | sed -e 's/^X-L//'`
9535                                                                                                                                                                    if test "X$additional_libdir" != "X/usr/lib"; then
9536                          haveit=
9537                          if test "X$additional_libdir" = "X/usr/local/lib"; then
9538                            if test -n "$GCC"; then
9539                              case $host_os in
9540                                linux*) haveit=yes;;
9541                              esac
9542                            fi
9543                          fi
9544                          if test -z "$haveit"; then
9545                            haveit=
9546                            for x in $LDFLAGS $LIBINTL; do
9547    
9548      acl_save_prefix="$prefix"
9549      prefix="$acl_final_prefix"
9550      acl_save_exec_prefix="$exec_prefix"
9551      exec_prefix="$acl_final_exec_prefix"
9552      eval x=\"$x\"
9553      exec_prefix="$acl_save_exec_prefix"
9554      prefix="$acl_save_prefix"
9555    
9556                              if test "X$x" = "X-L$additional_libdir"; then
9557                                haveit=yes
9558                                break
9559                              fi
9560                            done
9561                            if test -z "$haveit"; then
9562                              if test -d "$additional_libdir"; then
9563                                                            LIBINTL="${LIBINTL}${LIBINTL:+ }-L$additional_libdir"
9564                              fi
9565                            fi
9566                            haveit=
9567                            for x in $LDFLAGS $LTLIBINTL; do
9568    
9569      acl_save_prefix="$prefix"
9570      prefix="$acl_final_prefix"
9571      acl_save_exec_prefix="$exec_prefix"
9572      exec_prefix="$acl_final_exec_prefix"
9573      eval x=\"$x\"
9574      exec_prefix="$acl_save_exec_prefix"
9575      prefix="$acl_save_prefix"
9576    
9577                              if test "X$x" = "X-L$additional_libdir"; then
9578                                haveit=yes
9579                                break
9580                              fi
9581                            done
9582                            if test -z "$haveit"; then
9583                              if test -d "$additional_libdir"; then
9584                                                            LTLIBINTL="${LTLIBINTL}${LTLIBINTL:+ }-L$additional_libdir"
9585                              fi
9586                            fi
9587                          fi
9588                        fi
9589                        ;;
9590                      -l*)
9591                                            names_next_round="$names_next_round "`echo "X$dep" | sed -e 's/^X-l//'`
9592                        ;;
9593                      *.la)
9594                                                                                    names_next_round="$names_next_round "`echo "X$dep" | sed -e 's,^X.*/,,' -e 's,^lib,,' -e 's,\.la$,,'`
9595                        ;;
9596                      *)
9597                                            LIBINTL="${LIBINTL}${LIBINTL:+ }$dep"
9598                        LTLIBINTL="${LTLIBINTL}${LTLIBINTL:+ }$dep"
9599                        ;;
9600                    esac
9601                  done
9602                fi
9603              else
9604                                                                LIBINTL="${LIBINTL}${LIBINTL:+ }-l$name"
9605                LTLIBINTL="${LTLIBINTL}${LTLIBINTL:+ }-l$name"
9606              fi
9607            fi
9608          fi
9609        done
9610      done
9611      if test "X$rpathdirs" != "X"; then
9612        if test -n "$hardcode_libdir_separator"; then
9613                            alldirs=
9614          for found_dir in $rpathdirs; do
9615            alldirs="${alldirs}${alldirs:+$hardcode_libdir_separator}$found_dir"
9616          done
9617                acl_save_libdir="$libdir"
9618          libdir="$alldirs"
9619          eval flag=\"$hardcode_libdir_flag_spec\"
9620          libdir="$acl_save_libdir"
9621          LIBINTL="${LIBINTL}${LIBINTL:+ }$flag"
9622        else
9623                for found_dir in $rpathdirs; do
9624            acl_save_libdir="$libdir"
9625            libdir="$found_dir"
9626            eval flag=\"$hardcode_libdir_flag_spec\"
9627            libdir="$acl_save_libdir"
9628            LIBINTL="${LIBINTL}${LIBINTL:+ }$flag"
9629          done
9630        fi
9631      fi
9632      if test "X$ltrpathdirs" != "X"; then
9633                for found_dir in $ltrpathdirs; do
9634          LTLIBINTL="${LTLIBINTL}${LTLIBINTL:+ }-R$found_dir"
9635        done
9636      fi
9637    
9638              echo "$as_me:$LINENO: checking for GNU gettext in libintl" >&5
9639  echo $ECHO_N "checking for GNU gettext in libintl... $ECHO_C" >&6  echo $ECHO_N "checking for GNU gettext in libintl... $ECHO_C" >&6
9640  if test "${gt_cv_func_gnugettext2_libintl+set}" = set; then  if test "${gt_cv_func_gnugettext2_libintl+set}" = set; then
9641    echo $ECHO_N "(cached) $ECHO_C" >&6    echo $ECHO_N "(cached) $ECHO_C" >&6
9642  else  else
9643    gt_save_LIBS="$LIBS"    gt_save_CPPFLAGS="$CPPFLAGS"
9644                  LIBS="$LIBS -lintl $LIBICONV"              CPPFLAGS="$CPPFLAGS $INCINTL"
9645                  cat >conftest.$ac_ext <<_ACEOF              gt_save_LIBS="$LIBS"
9646                LIBS="$LIBS $LIBINTL"
9647                            cat >conftest.$ac_ext <<_ACEOF
9648  #line $LINENO "configure"  #line $LINENO "configure"
9649  #include "confdefs.h"  #include "confdefs.h"
9650  #include <libintl.h>  #include <libintl.h>
9651  extern int _nl_msg_cat_cntr;  extern int _nl_msg_cat_cntr;
9652    extern int *_nl_domain_bindings;
9653    extern
9654    #ifdef __cplusplus
9655    "C"
9656    #endif
9657    const char *_nl_expand_alias ();
9658  #ifdef F77_DUMMY_MAIN  #ifdef F77_DUMMY_MAIN
9659  #  ifdef __cplusplus  #  ifdef __cplusplus
9660       extern "C"       extern "C"
# Line 8607  int Line 9665  int
9665  main ()  main ()
9666  {  {
9667  bindtextdomain ("", "");  bindtextdomain ("", "");
9668  return (int) gettext ("") + (int) ngettext ("", "", 0) + _nl_msg_cat_cntr  return (int) gettext ("") + (int) ngettext ("", "", 0) + _nl_msg_cat_cntr + *_nl_domain_bindings + *_nl_expand_alias (0)
9669    ;    ;
9670    return 0;    return 0;
9671  }  }
# Line 8631  cat conftest.$ac_ext >&5 Line 9689  cat conftest.$ac_ext >&5
9689  gt_cv_func_gnugettext2_libintl=no  gt_cv_func_gnugettext2_libintl=no
9690  fi  fi
9691  rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext  rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
9692                  LIBS="$gt_save_LIBS"                          if test "$gt_cv_func_gnugettext2_libintl" != yes && test -n "$LIBICONV"; then
9693  fi                LIBS="$LIBS $LIBICONV"
9694  echo "$as_me:$LINENO: result: $gt_cv_func_gnugettext2_libintl" >&5                cat >conftest.$ac_ext <<_ACEOF
 echo "${ECHO_T}$gt_cv_func_gnugettext2_libintl" >&6  
            fi  
   
                                            if test "$gt_cv_func_gnugettext2_libc" = "yes" \  
               || { test "$gt_cv_func_gnugettext2_libintl" = "yes" \  
                    && test "$PACKAGE" != gettext; }; then  
   
 cat >>confdefs.h <<\_ACEOF  
 #define HAVE_GETTEXT 1  
 _ACEOF  
   
   
              if test "$gt_cv_func_gnugettext2_libintl" = "yes"; then  
                                        INTLLIBS="-lintl $LIBICONV"  
              fi  
   
              gt_save_LIBS="$LIBS"  
              LIBS="$LIBS $INTLLIBS"  
   
 for ac_func in dcgettext  
 do  
 as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`  
 echo "$as_me:$LINENO: checking for $ac_func" >&5  
 echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6  
 if eval "test \"\${$as_ac_var+set}\" = set"; then  
   echo $ECHO_N "(cached) $ECHO_C" >&6  
 else  
   cat >conftest.$ac_ext <<_ACEOF  
9695  #line $LINENO "configure"  #line $LINENO "configure"
9696  #include "confdefs.h"  #include "confdefs.h"
9697  /* System header to define __stub macros and hopefully few prototypes,  #include <libintl.h>
9698      which can conflict with char $ac_func (); below.  */  extern int _nl_msg_cat_cntr;
9699  #include <assert.h>  extern int *_nl_domain_bindings;
9700  /* Override any gcc2 internal prototype to avoid an error.  */  extern
9701  #ifdef __cplusplus  #ifdef __cplusplus
9702  extern "C"  "C"
9703  #endif  #endif
9704  /* We use char because int might match the return type of a gcc2  const char *_nl_expand_alias ();
    builtin and then its argument prototype would still apply.  */  
 char $ac_func ();  
 char (*f) ();  
   
9705  #ifdef F77_DUMMY_MAIN  #ifdef F77_DUMMY_MAIN
9706  #  ifdef __cplusplus  #  ifdef __cplusplus
9707       extern "C"       extern "C"
# Line 8685  char (*f) (); Line 9711  char (*f) ();
9711  int  int
9712  main ()  main ()
9713  {  {
9714  /* The GNU C library defines this for functions which it implements  bindtextdomain ("", "");
9715      to always fail with ENOSYS.  Some functions are actually named  return (int) gettext ("") + (int) ngettext ("", "", 0) + _nl_msg_cat_cntr + *_nl_domain_bindings + *_nl_expand_alias (0)
     something starting with __ and the normal name is an alias.  */  
 #if defined (__stub_$ac_func) || defined (__stub___$ac_func)  
 choke me  
 #else  
 f = $ac_func;  
 #endif  
   
9716    ;    ;
9717    return 0;    return 0;
9718  }  }
# Line 8710  if { (eval echo "$as_me:$LINENO: \"$ac_l Line 9729  if { (eval echo "$as_me:$LINENO: \"$ac_l
9729    ac_status=$?    ac_status=$?
9730    echo "$as_me:$LINENO: \$? = $ac_status" >&5    echo "$as_me:$LINENO: \$? = $ac_status" >&5
9731    (exit $ac_status); }; }; then    (exit $ac_status); }; }; then
9732    eval "$as_ac_var=yes"    LIBINTL="$LIBINTL $LIBICONV"
9733                    LTLIBINTL="$LTLIBINTL $LTLIBICONV"
9734                    gt_cv_func_gnugettext2_libintl=yes
9735    
9736  else  else
9737    echo "$as_me: failed program was:" >&5    echo "$as_me: failed program was:" >&5
9738  cat conftest.$ac_ext >&5  cat conftest.$ac_ext >&5
 eval "$as_ac_var=no"  
9739  fi  fi
9740  rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext  rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
9741                fi
9742                CPPFLAGS="$gt_save_CPPFLAGS"
9743                LIBS="$gt_save_LIBS"
9744  fi  fi
9745  echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_var'}'`" >&5  echo "$as_me:$LINENO: result: $gt_cv_func_gnugettext2_libintl" >&5
9746  echo "${ECHO_T}`eval echo '${'$as_ac_var'}'`" >&6  echo "${ECHO_T}$gt_cv_func_gnugettext2_libintl" >&6
9747  if test `eval echo '${'$as_ac_var'}'` = yes; then          fi
   cat >>confdefs.h <<_ACEOF  
 #define `echo "HAVE_$ac_func" | $as_tr_cpp` 1  
 _ACEOF  
9748    
9749  fi                                          if test "$gt_cv_func_gnugettext2_libc" = "yes" \
9750  done             || { test "$gt_cv_func_gnugettext2_libintl" = "yes" \
9751                    && test "$PACKAGE" != gettext; }; then
9752              gt_use_preinstalled_gnugettext=yes
9753            else
9754                        LIBINTL=
9755              LTLIBINTL=
9756              INCINTL=
9757            fi
9758    
              LIBS="$gt_save_LIBS"  
9759    
9760                       # Extract the first word of "msgfmt", so it can be a program name with args.          if test "$gt_use_preinstalled_gnugettext" != "yes"; then
9761  set dummy msgfmt; ac_word=$2                                nls_cv_use_gnu_gettext=yes
9762  echo "$as_me:$LINENO: checking for $ac_word" >&5          fi
 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6  
 if test "${ac_cv_path_MSGFMT+set}" = set; then  
   echo $ECHO_N "(cached) $ECHO_C" >&6  
 else  
   case "$MSGFMT" in  
   /*)  
   ac_cv_path_MSGFMT="$MSGFMT" # Let the user override the test with a path.  
   ;;  
   *)  
   IFS="${IFS=   }"; ac_save_ifs="$IFS"; IFS="${IFS}:"  
   for ac_dir in $PATH; do  
     test -z "$ac_dir" && ac_dir=.  
     if test -f $ac_dir/$ac_word; then  
       if $ac_dir/$ac_word --statistics /dev/null >/dev/null 2>&1; then  
         ac_cv_path_MSGFMT="$ac_dir/$ac_word"  
         break  
9763        fi        fi
     fi  
   done  
   IFS="$ac_save_ifs"  
   test -z "$ac_cv_path_MSGFMT" && ac_cv_path_MSGFMT=":"  
   ;;  
 esac  
 fi  
 MSGFMT="$ac_cv_path_MSGFMT"  
 if test "$MSGFMT" != ":"; then  
   echo "$as_me:$LINENO: result: $MSGFMT" >&5  
 echo "${ECHO_T}$MSGFMT" >&6  
 else  
   echo "$as_me:$LINENO: result: no" >&5  
 echo "${ECHO_T}no" >&6  
 fi  
   
              # Extract the first word of "gmsgfmt", so it can be a program name with args.  
 set dummy gmsgfmt; ac_word=$2  
 echo "$as_me:$LINENO: checking for $ac_word" >&5  
 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6  
 if test "${ac_cv_path_GMSGFMT+set}" = set; then  
   echo $ECHO_N "(cached) $ECHO_C" >&6  
 else  
   case $GMSGFMT in  
   [\\/]* | ?:[\\/]*)  
   ac_cv_path_GMSGFMT="$GMSGFMT" # Let the user override the test with a path.  
   ;;  
   *)  
   as_save_IFS=$IFS; IFS=$PATH_SEPARATOR  
 for as_dir in $PATH  
 do  
   IFS=$as_save_IFS  
   test -z "$as_dir" && as_dir=.  
   for ac_exec_ext in '' $ac_executable_extensions; do  
   if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then  
     ac_cv_path_GMSGFMT="$as_dir/$ac_word$ac_exec_ext"  
     echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5  
     break 2  
   fi  
 done  
 done  
9764    
9765    test -z "$ac_cv_path_GMSGFMT" && ac_cv_path_GMSGFMT="$MSGFMT"        if test "$nls_cv_use_gnu_gettext" = "yes"; then
9766    ;;                  INTLOBJS="\$(GETTOBJS)"
9767  esac          BUILD_INCLUDED_LIBINTL=yes
9768  fi          USE_INCLUDED_LIBINTL=yes
9769  GMSGFMT=$ac_cv_path_GMSGFMT          LIBINTL="\${top_builddir}/intl/libintl.a $LIBICONV"
9770            LTLIBINTL="\${top_builddir}/intl/libintl.a $LTLIBICONV"
9771  if test -n "$GMSGFMT"; then          LIBS=`echo " $LIBS " | sed -e 's/ -lintl / /' -e 's/^ //' -e 's/ $//'`
   echo "$as_me:$LINENO: result: $GMSGFMT" >&5  
 echo "${ECHO_T}$GMSGFMT" >&6  
 else  
   echo "$as_me:$LINENO: result: no" >&5  
 echo "${ECHO_T}no" >&6  
 fi  
   
   
                      # Extract the first word of "xgettext", so it can be a program name with args.  
 set dummy xgettext; ac_word=$2  
 echo "$as_me:$LINENO: checking for $ac_word" >&5  
 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6  
 if test "${ac_cv_path_XGETTEXT+set}" = set; then  
   echo $ECHO_N "(cached) $ECHO_C" >&6  
 else  
   case "$XGETTEXT" in  
   /*)  
   ac_cv_path_XGETTEXT="$XGETTEXT" # Let the user override the test with a path.  
   ;;  
   *)  
   IFS="${IFS=   }"; ac_save_ifs="$IFS"; IFS="${IFS}:"  
   for ac_dir in $PATH; do  
     test -z "$ac_dir" && ac_dir=.  
     if test -f $ac_dir/$ac_word; then  
       if $ac_dir/$ac_word --omit-header /dev/null >/dev/null 2>&1; then  
         ac_cv_path_XGETTEXT="$ac_dir/$ac_word"  
         break  
9772        fi        fi
     fi  
   done  
   IFS="$ac_save_ifs"  
   test -z "$ac_cv_path_XGETTEXT" && ac_cv_path_XGETTEXT=":"  
   ;;  
 esac  
 fi  
 XGETTEXT="$ac_cv_path_XGETTEXT"  
 if test "$XGETTEXT" != ":"; then  
   echo "$as_me:$LINENO: result: $XGETTEXT" >&5  
 echo "${ECHO_T}$XGETTEXT" >&6  
 else  
   echo "$as_me:$LINENO: result: no" >&5  
 echo "${ECHO_T}no" >&6  
 fi  
9773    
9774          if test "$gt_use_preinstalled_gnugettext" = "yes" \
9775               CATOBJEXT=.gmo           || test "$nls_cv_use_gnu_gettext" = "yes"; then
9776             fi                  CATOBJEXT=.gmo
9777          fi
 fi  
9778    
9779    
9780        if test "$gt_use_preinstalled_gnugettext" = "yes" \
9781           || test "$nls_cv_use_gnu_gettext" = "yes"; then
9782    
9783          if test "$CATOBJEXT" = "NONE"; then  cat >>confdefs.h <<\_ACEOF
9784                            nls_cv_use_gnu_gettext=yes  #define ENABLE_NLS 1
9785          fi  _ACEOF
       fi  
9786    
9787        if test "$nls_cv_use_gnu_gettext" = "yes"; then      else
9788                  INTLOBJS="\$(GETTOBJS)"        USE_NLS=no
         # Extract the first word of "msgfmt", so it can be a program name with args.  
 set dummy msgfmt; ac_word=$2  
 echo "$as_me:$LINENO: checking for $ac_word" >&5  
 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6  
 if test "${ac_cv_path_MSGFMT+set}" = set; then  
   echo $ECHO_N "(cached) $ECHO_C" >&6  
 else  
   case "$MSGFMT" in  
   /*)  
   ac_cv_path_MSGFMT="$MSGFMT" # Let the user override the test with a path.  
   ;;  
   *)  
   IFS="${IFS=   }"; ac_save_ifs="$IFS"; IFS="${IFS}:"  
   for ac_dir in $PATH; do  
     test -z "$ac_dir" && ac_dir=.  
     if test -f $ac_dir/$ac_word; then  
       if $ac_dir/$ac_word --statistics /dev/null >/dev/null 2>&1; then  
         ac_cv_path_MSGFMT="$ac_dir/$ac_word"  
         break  
       fi  
9789      fi      fi
   done  
   IFS="$ac_save_ifs"  
   test -z "$ac_cv_path_MSGFMT" && ac_cv_path_MSGFMT=":"  
   ;;  
 esac  
 fi  
 MSGFMT="$ac_cv_path_MSGFMT"  
 if test "$MSGFMT" != ":"; then  
   echo "$as_me:$LINENO: result: $MSGFMT" >&5  
 echo "${ECHO_T}$MSGFMT" >&6  
 else  
   echo "$as_me:$LINENO: result: no" >&5  
 echo "${ECHO_T}no" >&6  
 fi  
   
         # Extract the first word of "gmsgfmt", so it can be a program name with args.  
 set dummy gmsgfmt; ac_word=$2  
 echo "$as_me:$LINENO: checking for $ac_word" >&5  
 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6  
 if test "${ac_cv_path_GMSGFMT+set}" = set; then  
   echo $ECHO_N "(cached) $ECHO_C" >&6  
 else  
   case $GMSGFMT in  
   [\\/]* | ?:[\\/]*)  
   ac_cv_path_GMSGFMT="$GMSGFMT" # Let the user override the test with a path.  
   ;;  
   *)  
   as_save_IFS=$IFS; IFS=$PATH_SEPARATOR  
 for as_dir in $PATH  
 do  
   IFS=$as_save_IFS  
   test -z "$as_dir" && as_dir=.  
   for ac_exec_ext in '' $ac_executable_extensions; do  
   if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then  
     ac_cv_path_GMSGFMT="$as_dir/$ac_word$ac_exec_ext"  
     echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5  
     break 2  
9790    fi    fi
 done  
 done  
   
   test -z "$ac_cv_path_GMSGFMT" && ac_cv_path_GMSGFMT="$MSGFMT"  
   ;;  
 esac  
 fi  
 GMSGFMT=$ac_cv_path_GMSGFMT  
9791    
9792  if test -n "$GMSGFMT"; then    if test "$USE_NLS" = "yes"; then
   echo "$as_me:$LINENO: result: $GMSGFMT" >&5  
 echo "${ECHO_T}$GMSGFMT" >&6  
 else  
   echo "$as_me:$LINENO: result: no" >&5  
 echo "${ECHO_T}no" >&6  
 fi  
9793    
9794          # Extract the first word of "xgettext", so it can be a program name with args.      if test "$gt_use_preinstalled_gnugettext" = "yes"; then
9795  set dummy xgettext; ac_word=$2        if test "$gt_cv_func_gnugettext2_libintl" = "yes"; then
9796  echo "$as_me:$LINENO: checking for $ac_word" >&5          echo "$as_me:$LINENO: checking how to link with libintl" >&5
9797  echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6  echo $ECHO_N "checking how to link with libintl... $ECHO_C" >&6
9798  if test "${ac_cv_path_XGETTEXT+set}" = set; then          echo "$as_me:$LINENO: result: $LIBINTL" >&5
9799    echo $ECHO_N "(cached) $ECHO_C" >&6  echo "${ECHO_T}$LIBINTL" >&6
9800  else  
9801    case "$XGETTEXT" in    for element in $INCINTL; do
9802    /*)      haveit=
9803    ac_cv_path_XGETTEXT="$XGETTEXT" # Let the user override the test with a path.      for x in $CPPFLAGS; do
9804    ;;  
9805    *)    acl_save_prefix="$prefix"
9806    IFS="${IFS=   }"; ac_save_ifs="$IFS"; IFS="${IFS}:"    prefix="$acl_final_prefix"
9807    for ac_dir in $PATH; do    acl_save_exec_prefix="$exec_prefix"
9808      test -z "$ac_dir" && ac_dir=.    exec_prefix="$acl_final_exec_prefix"
9809      if test -f $ac_dir/$ac_word; then    eval x=\"$x\"
9810        if $ac_dir/$ac_word --omit-header /dev/null >/dev/null 2>&1; then    exec_prefix="$acl_save_exec_prefix"
9811          ac_cv_path_XGETTEXT="$ac_dir/$ac_word"    prefix="$acl_save_prefix"
9812          break  
9813          if test "X$x" = "X$element"; then
9814            haveit=yes
9815            break
9816        fi        fi
9817        done
9818        if test -z "$haveit"; then
9819          CPPFLAGS="${CPPFLAGS}${CPPFLAGS:+ }$element"
9820      fi      fi
9821    done    done
   IFS="$ac_save_ifs"  
   test -z "$ac_cv_path_XGETTEXT" && ac_cv_path_XGETTEXT=":"  
   ;;  
 esac  
 fi  
 XGETTEXT="$ac_cv_path_XGETTEXT"  
 if test "$XGETTEXT" != ":"; then  
   echo "$as_me:$LINENO: result: $XGETTEXT" >&5  
 echo "${ECHO_T}$XGETTEXT" >&6  
 else  
   echo "$as_me:$LINENO: result: no" >&5  
 echo "${ECHO_T}no" >&6  
 fi  
   
   
         BUILD_INCLUDED_LIBINTL=yes  
         USE_INCLUDED_LIBINTL=yes  
         CATOBJEXT=.gmo  
         INTLLIBS="\$(top_builddir)/intl/libintl.a $LIBICONV"  
         LIBS=`echo " $LIBS " | sed -e 's/ -lintl / /' -e 's/^ //' -e 's/ $//'`  
       fi  
9822    
                   if test "$GMSGFMT" != ":"; then  
                         if $GMSGFMT --statistics /dev/null >/dev/null 2>&1; then  
           : ;  
         else  
           echo "$as_me:$LINENO: result: found msgfmt program is not GNU msgfmt; ignore it" >&5  
 echo "${ECHO_T}found msgfmt program is not GNU msgfmt; ignore it" >&6  
           GMSGFMT=":"  
         fi  
9823        fi        fi
9824    
                   if test "$XGETTEXT" != ":"; then  
                         if $XGETTEXT --omit-header /dev/null >/dev/null 2>&1; then  
           : ;  
         else  
           echo "$as_me:$LINENO: result: found xgettext program is not GNU xgettext; ignore it" >&5  
 echo "${ECHO_T}found xgettext program is not GNU xgettext; ignore it" >&6  
           XGETTEXT=":"  
         fi  
       fi  
9825    
9826              POSUB=po  cat >>confdefs.h <<\_ACEOF
9827      fi  #define HAVE_GETTEXT 1
9828      ac_config_commands="$ac_config_commands default-1"  _ACEOF
9829    
9830    
9831    cat >>confdefs.h <<\_ACEOF
9832    #define HAVE_DCGETTEXT 1
9833    _ACEOF
9834    
             if test "$PACKAGE" = gettext; then  
       BUILD_INCLUDED_LIBINTL=yes  
9835      fi      fi
9836    
9837                                              for ac_prog in bison          POSUB=po
 do  
   # Extract the first word of "$ac_prog", so it can be a program name with args.  
 set dummy $ac_prog; ac_word=$2  
 echo "$as_me:$LINENO: checking for $ac_word" >&5  
 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6  
 if test "${ac_cv_prog_INTLBISON+set}" = set; then  
   echo $ECHO_N "(cached) $ECHO_C" >&6  
 else  
   if test -n "$INTLBISON"; then  
   ac_cv_prog_INTLBISON="$INTLBISON" # Let the user override the test.  
 else  
 as_save_IFS=$IFS; IFS=$PATH_SEPARATOR  
 for as_dir in $PATH  
 do  
   IFS=$as_save_IFS  
   test -z "$as_dir" && as_dir=.  
   for ac_exec_ext in '' $ac_executable_extensions; do  
   if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then  
     ac_cv_prog_INTLBISON="$ac_prog"  
     echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5  
     break 2  
9838    fi    fi
 done  
 done  
   
 fi  
 fi  
 INTLBISON=$ac_cv_prog_INTLBISON  
 if test -n "$INTLBISON"; then  
   echo "$as_me:$LINENO: result: $INTLBISON" >&5  
 echo "${ECHO_T}$INTLBISON" >&6  
 else  
   echo "$as_me:$LINENO: result: no" >&5  
 echo "${ECHO_T}no" >&6  
 fi  
9839    
   test -n "$INTLBISON" && break  
 done  
9840    
9841      if test -z "$INTLBISON"; then              if test "$PACKAGE" = gettext; then
9842        ac_verc_fail=yes        BUILD_INCLUDED_LIBINTL=yes
     else  
             echo "$as_me:$LINENO: checking version of bison" >&5  
 echo $ECHO_N "checking version of bison... $ECHO_C" >&6  
       ac_prog_version=`$INTLBISON --version 2>&1 | sed -n 's/^.*GNU Bison.* \([0-9]*\.[0-9.]*\).*$/\1/p'`  
       case $ac_prog_version in  
         '') ac_prog_version="v. ?.??, bad"; ac_verc_fail=yes;;  
         1.2[6-9]* | 1.[3-9][0-9]* | [2-9].*)  
            ac_prog_version="$ac_prog_version, ok"; ac_verc_fail=no;;  
         *) ac_prog_version="$ac_prog_version, bad"; ac_verc_fail=yes;;  
       esac  
       echo "$as_me:$LINENO: result: $ac_prog_version" >&5  
 echo "${ECHO_T}$ac_prog_version" >&6  
     fi  
     if test $ac_verc_fail = yes; then  
       INTLBISON=:  
9843      fi      fi
9844    
                 for lang in $ALL_LINGUAS; do  
       GMOFILES="$GMOFILES $lang.gmo"  
       POFILES="$POFILES $lang.po"  
     done  
   
   
   
   
   
   
9845    
9846    
9847    
# Line 9094  echo "${ECHO_T}$ac_prog_version" >&6 Line 9859  echo "${ECHO_T}$ac_prog_version" >&6
9859          GENCAT=gencat          GENCAT=gencat
9860    
9861    
9862            INTL_LIBTOOL_SUFFIX_PREFIX=
9863    
    if test "x$CATOBJEXT" != "x"; then  
      if test "x$ALL_LINGUAS" = "x"; then  
        LINGUAS=  
      else  
        echo "$as_me:$LINENO: checking for catalogs to be installed" >&5  
 echo $ECHO_N "checking for catalogs to be installed... $ECHO_C" >&6  
        NEW_LINGUAS=  
        for presentlang in $ALL_LINGUAS; do  
          useit=no  
          for desiredlang in ${LINGUAS-$ALL_LINGUAS}; do  
            # Use the presentlang catalog if desiredlang is  
            #   a. equal to presentlang, or  
            #   b. a variant of presentlang (because in this case,  
            #      presentlang can be used as a fallback for messages  
            #      which are not translated in the desiredlang catalog).  
            case "$desiredlang" in  
              "$presentlang"*) useit=yes;;  
            esac  
          done  
          if test $useit = yes; then  
            NEW_LINGUAS="$NEW_LINGUAS $presentlang"  
          fi  
        done  
        LINGUAS=$NEW_LINGUAS  
        echo "$as_me:$LINENO: result: $LINGUAS" >&5  
 echo "${ECHO_T}$LINGUAS" >&6  
      fi  
9864    
           if test -n "$LINGUAS"; then  
        for lang in $LINGUAS; do CATALOGS="$CATALOGS $lang$CATOBJEXT"; done  
      fi  
    fi  
9865    
9866              MKINSTALLDIRS=      INTLLIBS="$LIBINTL"
9867     if test -n "$ac_aux_dir"; then  
9868       MKINSTALLDIRS="$ac_aux_dir/mkinstalldirs"  
    fi  
    if test -z "$MKINSTALLDIRS"; then  
      MKINSTALLDIRS="\$(top_srcdir)/mkinstalldirs"  
    fi  
9869    
9870    
       INTL_LIBTOOL_SUFFIX_PREFIX=  
9871    
9872    
9873    
# Line 9625  cat >>$CONFIG_STATUS <<_ACEOF Line 10355  cat >>$CONFIG_STATUS <<_ACEOF
10355  #  #
10356    
10357  AMDEP_TRUE="$AMDEP_TRUE" ac_aux_dir="$ac_aux_dir"  AMDEP_TRUE="$AMDEP_TRUE" ac_aux_dir="$ac_aux_dir"
10358    # Capture the value of obsolete $ALL_LINGUAS because we need it to compute
10359        # POFILES, GMOFILES, UPDATEPOFILES, DUMMYPOFILES, CATALOGS. But hide it
10360        # from automake.
10361        eval 'ALL_LINGUAS''="$ALL_LINGUAS"'
10362        # Capture the value of LINGUAS because we need it to compute CATALOGS.
10363        LINGUAS="${LINGUAS-%UNSET%}"
10364    
10365    
10366  _ACEOF  _ACEOF
# Line 9775  s,@U@,$U,;t t Line 10511  s,@U@,$U,;t t
10511  s,@ANSI2KNR@,$ANSI2KNR,;t t  s,@ANSI2KNR@,$ANSI2KNR,;t t
10512  s,@ALLOCA@,$ALLOCA,;t t  s,@ALLOCA@,$ALLOCA,;t t
10513  s,@LIBOBJS@,$LIBOBJS,;t t  s,@LIBOBJS@,$LIBOBJS,;t t
10514    s,@MKINSTALLDIRS@,$MKINSTALLDIRS,;t t
10515    s,@MSGFMT@,$MSGFMT,;t t
10516    s,@GMSGFMT@,$GMSGFMT,;t t
10517    s,@XGETTEXT@,$XGETTEXT,;t t
10518    s,@MSGMERGE@,$MSGMERGE,;t t
10519  s,@build@,$build,;t t  s,@build@,$build,;t t
10520  s,@build_cpu@,$build_cpu,;t t  s,@build_cpu@,$build_cpu,;t t
10521  s,@build_vendor@,$build_vendor,;t t  s,@build_vendor@,$build_vendor,;t t
# Line 9785  s,@host_vendor@,$host_vendor,;t t Line 10526  s,@host_vendor@,$host_vendor,;t t
10526  s,@host_os@,$host_os,;t t  s,@host_os@,$host_os,;t t
10527  s,@GLIBC21@,$GLIBC21,;t t  s,@GLIBC21@,$GLIBC21,;t t
10528  s,@LIBICONV@,$LIBICONV,;t t  s,@LIBICONV@,$LIBICONV,;t t
10529  s,@USE_NLS@,$USE_NLS,;t t  s,@LTLIBICONV@,$LTLIBICONV,;t t
 s,@MSGFMT@,$MSGFMT,;t t  
 s,@GMSGFMT@,$GMSGFMT,;t t  
 s,@XGETTEXT@,$XGETTEXT,;t t  
10530  s,@INTLBISON@,$INTLBISON,;t t  s,@INTLBISON@,$INTLBISON,;t t
10531    s,@USE_NLS@,$USE_NLS,;t t
10532  s,@BUILD_INCLUDED_LIBINTL@,$BUILD_INCLUDED_LIBINTL,;t t  s,@BUILD_INCLUDED_LIBINTL@,$BUILD_INCLUDED_LIBINTL,;t t
10533  s,@USE_INCLUDED_LIBINTL@,$USE_INCLUDED_LIBINTL,;t t  s,@USE_INCLUDED_LIBINTL@,$USE_INCLUDED_LIBINTL,;t t
 s,@CATALOGS@,$CATALOGS,;t t  
10534  s,@CATOBJEXT@,$CATOBJEXT,;t t  s,@CATOBJEXT@,$CATOBJEXT,;t t
 s,@GMOFILES@,$GMOFILES,;t t  
 s,@INTLLIBS@,$INTLLIBS,;t t  
10535  s,@INTLOBJS@,$INTLOBJS,;t t  s,@INTLOBJS@,$INTLOBJS,;t t
 s,@POFILES@,$POFILES,;t t  
 s,@POSUB@,$POSUB,;t t  
10536  s,@DATADIRNAME@,$DATADIRNAME,;t t  s,@DATADIRNAME@,$DATADIRNAME,;t t
10537  s,@INSTOBJEXT@,$INSTOBJEXT,;t t  s,@INSTOBJEXT@,$INSTOBJEXT,;t t
10538  s,@GENCAT@,$GENCAT,;t t  s,@GENCAT@,$GENCAT,;t t
 s,@MKINSTALLDIRS@,$MKINSTALLDIRS,;t t  
10539  s,@INTL_LIBTOOL_SUFFIX_PREFIX@,$INTL_LIBTOOL_SUFFIX_PREFIX,;t t  s,@INTL_LIBTOOL_SUFFIX_PREFIX@,$INTL_LIBTOOL_SUFFIX_PREFIX,;t t
10540    s,@INTLLIBS@,$INTLLIBS,;t t
10541    s,@LIBINTL@,$LIBINTL,;t t
10542    s,@LTLIBINTL@,$LTLIBINTL,;t t
10543    s,@POSUB@,$POSUB,;t t
10544  CEOF  CEOF
10545    
10546  _ACEOF  _ACEOF
# Line 10402  echo "$as_me: error: cannot create direc Line 11139  echo "$as_me: error: cannot create direc
11139    done    done
11140  done  done
11141   ;;   ;;
11142      default-1 ) for ac_file in $CONFIG_FILES; do      default-1 )
11143          # Support "outfile[:infile[:infile...]]"      for ac_file in $CONFIG_FILES; do
11144          case "$ac_file" in        # Support "outfile[:infile[:infile...]]"
11145            *:*) ac_file=`echo "$ac_file"|sed 's%:.*%%'` ;;        case "$ac_file" in
11146            *:*) ac_file=`echo "$ac_file"|sed 's%:.*%%'` ;;
11147          esac
11148          # PO directories have a Makefile.in generated from Makefile.in.in.
11149          case "$ac_file" in */Makefile.in)
11150            # Adjust a relative srcdir.
11151            ac_dir=`echo "$ac_file"|sed 's%/[^/][^/]*$%%'`
11152            ac_dir_suffix="/`echo "$ac_dir"|sed 's%^\./%%'`"
11153            ac_dots=`echo "$ac_dir_suffix"|sed 's%/[^/]*%../%g'`
11154            # In autoconf-2.13 it is called $ac_given_srcdir.
11155            # In autoconf-2.50 it is called $srcdir.
11156            test -n "$ac_given_srcdir" || ac_given_srcdir="$srcdir"
11157            case "$ac_given_srcdir" in
11158              .)  top_srcdir=`echo $ac_dots|sed 's%/$%%'` ;;
11159              /*) top_srcdir="$ac_given_srcdir" ;;
11160              *)  top_srcdir="$ac_dots$ac_given_srcdir" ;;
11161          esac          esac
11162          # PO directories have a Makefile.in generated from Makefile.in.in.          if test -f "$ac_given_srcdir/$ac_dir/POTFILES.in"; then
11163          case "$ac_file" in */Makefile.in)            rm -f "$ac_dir/POTFILES"
11164            # Adjust a relative srcdir.            test -n "$as_me" && echo "$as_me: creating $ac_dir/POTFILES" || echo "creating $ac_dir/POTFILES"
11165            ac_dir=`echo "$ac_file"|sed 's%/[^/][^/]*$%%'`            cat "$ac_given_srcdir/$ac_dir/POTFILES.in" | sed -e "/^#/d" -e "/^[   ]*\$/d" -e "s,.*,     $top_srcdir/& \\\\," | sed -e "\$s/\(.*\) \\\\/\1/" > "$ac_dir/POTFILES"
11166            ac_dir_suffix="/`echo "$ac_dir"|sed 's%^\./%%'`"            # ALL_LINGUAS, POFILES, GMOFILES, UPDATEPOFILES, DUMMYPOFILES depend
11167            ac_dots=`echo "$ac_dir_suffix"|sed 's%/[^/]*%../%g'`            # on $ac_dir but don't depend on user-specified configuration
11168            # In autoconf-2.13 it is called $ac_given_srcdir.            # parameters.
11169            # In autoconf-2.50 it is called $srcdir.            if test -f "$ac_given_srcdir/$ac_dir/LINGUAS"; then
11170            test -n "$ac_given_srcdir" || ac_given_srcdir="$srcdir"              # The LINGUAS file contains the set of available languages.
11171                if test -n "$ALL_LINGUAS"; then
11172                  test -n "$as_me" && echo "$as_me: setting ALL_LINGUAS in configure.in is obsolete" || echo "setting ALL_LINGUAS in configure.in is obsolete"
11173                fi
11174                ALL_LINGUAS_=`sed -e "/^#/d" "$ac_given_srcdir/$ac_dir/LINGUAS"`
11175                # Hide the ALL_LINGUAS assigment from automake.
11176                eval 'ALL_LINGUAS''=$ALL_LINGUAS_'
11177              fi
11178            case "$ac_given_srcdir" in            case "$ac_given_srcdir" in
11179              .)  top_srcdir=`echo $ac_dots|sed 's%/$%%'` ;;              .) srcdirpre= ;;
11180              /*) top_srcdir="$ac_given_srcdir" ;;              *) srcdirpre='$(srcdir)/' ;;
             *)  top_srcdir="$ac_dots$ac_given_srcdir" ;;  
11181            esac            esac
11182            if test -f "$ac_given_srcdir/$ac_dir/POTFILES.in"; then            POFILES=
11183              rm -f "$ac_dir/POTFILES"            GMOFILES=
11184              test -n "$as_me" && echo "$as_me: creating $ac_dir/POTFILES" || echo "creating $ac_dir/POTFILES"            UPDATEPOFILES=
11185              sed -e "/^#/d" -e "/^[      ]*\$/d" -e "s,.*,     $top_srcdir/& \\\\," -e "\$s/\(.*\) \\\\/\1/" < "$ac_given_srcdir/$ac_dir/POTFILES.in" > "$ac_dir/POTFILES"            DUMMYPOFILES=
11186              test -n "$as_me" && echo "$as_me: creating $ac_dir/Makefile" || echo "creating $ac_dir/Makefile"            for lang in $ALL_LINGUAS; do
11187              sed -e "/POTFILES =/r $ac_dir/POTFILES" "$ac_dir/Makefile.in" > "$ac_dir/Makefile"              POFILES="$POFILES $srcdirpre$lang.po"
11188                GMOFILES="$GMOFILES $srcdirpre$lang.gmo"
11189                UPDATEPOFILES="$UPDATEPOFILES $lang.po-update"
11190                DUMMYPOFILES="$DUMMYPOFILES $lang.nop"
11191              done
11192              # CATALOGS depends on both $ac_dir and the user's LINGUAS
11193              # environment variable.
11194              INST_LINGUAS=
11195              if test -n "$ALL_LINGUAS"; then
11196                for presentlang in $ALL_LINGUAS; do
11197                  useit=no
11198                  if test "%UNSET%" != "$LINGUAS"; then
11199                    desiredlanguages="$LINGUAS"
11200                  else
11201                    desiredlanguages="$ALL_LINGUAS"
11202                  fi
11203                  for desiredlang in $desiredlanguages; do
11204                    # Use the presentlang catalog if desiredlang is
11205                    #   a. equal to presentlang, or
11206                    #   b. a variant of presentlang (because in this case,
11207                    #      presentlang can be used as a fallback for messages
11208                    #      which are not translated in the desiredlang catalog).
11209                    case "$desiredlang" in
11210                      "$presentlang"*) useit=yes;;
11211                    esac
11212                  done
11213                  if test $useit = yes; then
11214                    INST_LINGUAS="$INST_LINGUAS $presentlang"
11215                  fi
11216                done
11217            fi            fi
11218            ;;            CATALOGS=
11219          esac            if test -n "$INST_LINGUAS"; then
11220        done ;;              for lang in $INST_LINGUAS; do
11221                  CATALOGS="$CATALOGS $lang.gmo"
11222                done
11223              fi
11224              test -n "$as_me" && echo "$as_me: creating $ac_dir/Makefile" || echo "creating $ac_dir/Makefile"
11225              sed -e "/^POTFILES =/r $ac_dir/POTFILES" -e "/^# Makevars/r $ac_given_srcdir/$ac_dir/Makevars" -e "s|@POFILES@|$POFILES|g" -e "s|@GMOFILES@|$GMOFILES|g" -e "s|@UPDATEPOFILES@|$UPDATEPOFILES|g" -e "s|@DUMMYPOFILES@|$DUMMYPOFILES|g" -e "s|@CATALOGS@|$CATALOGS|g" "$ac_dir/Makefile.in" > "$ac_dir/Makefile"
11226              for f in "$ac_given_srcdir/$ac_dir"/Rules-*; do
11227                if test -f "$f"; then
11228                  case "$f" in
11229                    *.orig | *.bak | *~) ;;
11230                    *) cat "$f" >> "$ac_dir/Makefile" ;;
11231                  esac
11232                fi
11233              done
11234            fi
11235            ;;
11236          esac
11237        done ;;
11238    esac    esac
11239  done  done
11240  _ACEOF  _ACEOF

Legend:
Removed from v.1.7.2.55  
changed lines
  Added in v.1.7.2.56

savannah-hackers-public@gnu.org
ViewVC Help
Powered by ViewVC 1.1.26